package gov.va.med.bhie.beans.v4;


import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonProperty;

import java.util.List;

//import org.codehaus.jackson.annotate.JsonIgnoreProperties;
////import org.codehaus.jackson.annotate.JsonProperty;

@JsonIgnoreProperties(ignoreUnknown = true)
public class EncounterV4 {
    @JsonProperty("diagnoses")
    private List<EncounterDiagnosisV4> diagnoses;
//    emCode (List[List[CodedDataElement]], optional),
    @JsonProperty("encounterNumber")
    private RecordIdentifierV4 encounterNumber;
    @JsonProperty("procedures")
    private List<EncounterProcedureV4> procedures;
    @JsonProperty("sensitive")
    private String sensitive;
    @JsonProperty("status")
    private List<SPDCBeanV4> status;
    @JsonProperty("textDescription")
    private String textDescription;
    @JsonProperty("encounterLocations")
    private List<EncounterLocationV4> encounterLocations;
    @JsonProperty("complexDataUrl")
    private String complexDataUrl;
    @JsonProperty("contentType")
    private List<SPDCBeanV4> contentType;
    @JsonProperty("encounterType")
    private List<SPDCBeanV4> encounterType;
    @JsonProperty("reason")
    private List<SPDCBeanV4> reason;
    @JsonProperty("disposition")
    private List<SPDCBeanV4> disposition;
    @JsonProperty("arrivalDate")
    private DateRangeV4 arrivalDate;
    @JsonProperty("departureDate")
    private DateRangeV4 departureDate;
    @JsonProperty("type")
    private List<SPDCBeanV4> type;
    @JsonProperty("comment")
    private String comment;
    @JsonProperty("provider")
    private ProviderV4 provider;
    @JsonProperty("narrativeId")
    private String narrativeId;
    @JsonProperty("repository")
    private RepositoryV4 repository;
    @JsonProperty("dataDomain")
    private List<SPDCBeanV4> dataDomain;
    @JsonProperty("enteredBy")
    private ProviderV4 enteredBy;
    @JsonProperty("enteredDate")
    private DateRangeV4 enteredDate;
    @JsonProperty("recordId")
    private RecordIdentifierV4 recordId;
    @JsonProperty("facility")
    private RepositoryV4 facility;
    /**
     * @return the diagnoses
     */
    public List<EncounterDiagnosisV4> getDiagnoses() {
        return diagnoses;
    }
    /**
     * @param diagnoses the diagnoses to set
     */
    public void setDiagnoses(List<EncounterDiagnosisV4> diagnoses) {
        this.diagnoses = diagnoses;
    }
    /**
     * @return the encounterNumber
     */
    public RecordIdentifierV4 getEncounterNumber() {
        return encounterNumber;
    }
    /**
     * @param encounterNumber the encounterNumber to set
     */
    public void setEncounterNumber(RecordIdentifierV4 encounterNumber) {
        this.encounterNumber = encounterNumber;
    }
    /**
     * @return the procedures
     */
    public List<EncounterProcedureV4> getProcedures() {
        return procedures;
    }
    /**
     * @param procedures the procedures to set
     */
    public void setProcedures(List<EncounterProcedureV4> procedures) {
        this.procedures = procedures;
    }
    /**
     * @return the sensitive
     */
    public String getSensitive() {
        return sensitive;
    }
    /**
     * @param sensitive the sensitive to set
     */
    public void setSensitive(String sensitive) {
        this.sensitive = sensitive;
    }
    /**
     * @return the status
     */
    public List<SPDCBeanV4> getStatus() {
        return status;
    }
    /**
     * @param status the status to set
     */
    public void setStatus(List<SPDCBeanV4> status) {
        this.status = status;
    }
    /**
     * @return the textDescription
     */
    public String getTextDescription() {
        return textDescription;
    }
    /**
     * @param textDescription the textDescription to set
     */
    public void setTextDescription(String textDescription) {
        this.textDescription = textDescription;
    }
    /**
     * @return the encounterLocations
     */
    public List<EncounterLocationV4> getEncounterLocations() {
        return encounterLocations;
    }
    /**
     * @param encounterLocations the encounterLocations to set
     */
    public void setEncounterLocations(List<EncounterLocationV4> encounterLocations) {
        this.encounterLocations = encounterLocations;
    }
    /**
     * @return the encounterType
     */
    public List<SPDCBeanV4> getEncounterType() {
        return encounterType;
    }
    /**
     * @param encounterType the encounterType to set
     */
    public void setEncounterType(List<SPDCBeanV4> encounterType) {
        this.encounterType = encounterType;
    }
    /**
     * @return the reason
     */
    public List<SPDCBeanV4> getReason() {
        return reason;
    }
    /**
     * @param reason the reason to set
     */
    public void setReason(List<SPDCBeanV4> reason) {
        this.reason = reason;
    }
    /**
     * @return the disposition
     */
    public List<SPDCBeanV4> getDisposition() {
        return disposition;
    }
    /**
     * @param disposition the disposition to set
     */
    public void setDisposition(List<SPDCBeanV4> disposition) {
        this.disposition = disposition;
    }
    /**
     * @return the arrivalDate
     */
    public DateRangeV4 getArrivalDate() {
        return arrivalDate;
    }
    /**
     * @param arrivalDate the arrivalDate to set
     */
    public void setArrivalDate(DateRangeV4 arrivalDate) {
        this.arrivalDate = arrivalDate;
    }
    /**
     * @return the departureDate
     */
    public DateRangeV4 getDepartureDate() {
        return departureDate;
    }
    /**
     * @param departureDate the departureDate to set
     */
    public void setDepartureDate(DateRangeV4 departureDate) {
        this.departureDate = departureDate;
    }
    /**
     * @return the type
     */
    public List<SPDCBeanV4> getType() {
        return type;
    }
    /**
     * @param type the type to set
     */
    public void setType(List<SPDCBeanV4> type) {
        this.type = type;
    }
    /**
     * @return the comment
     */
    public String getComment() {
        return comment;
    }
    /**
     * @param comment the comment to set
     */
    public void setComment(String comment) {
        this.comment = comment;
    }
    /**
     * @return the provider
     */
    public ProviderV4 getProvider() {
        return provider;
    }
    /**
     * @param provider the provider to set
     */
    public void setProvider(ProviderV4 provider) {
        this.provider = provider;
    }
    /**
     * @return the narrativeId
     */
    public String getNarrativeId() {
        return narrativeId;
    }
    /**
     * @param narrativeId the narrativeId to set
     */
    public void setNarrativeId(String narrativeId) {
        this.narrativeId = narrativeId;
    }
    /**
     * @return the repository
     */
    public RepositoryV4 getRepository() {
        return repository;
    }
    /**
     * @param repository the repository to set
     */
    public void setRepository(RepositoryV4 repository) {
        this.repository = repository;
    }
    /**
     * @return the dataDomain
     */
    public List<SPDCBeanV4> getDataDomain() {
        return dataDomain;
    }
    /**
     * @param dataDomain the dataDomain to set
     */
    public void setDataDomain(List<SPDCBeanV4> dataDomain) {
        this.dataDomain = dataDomain;
    }
    /**
     * @return the enteredBy
     */
    public ProviderV4 getEnteredBy() {
        return enteredBy;
    }
    /**
     * @param enteredBy the enteredBy to set
     */
    public void setEnteredBy(ProviderV4 enteredBy) {
        this.enteredBy = enteredBy;
    }
    /**
     * @return the enteredDate
     */
    public DateRangeV4 getEnteredDate() {
        return enteredDate;
    }
    /**
     * @param enteredDate the enteredDate to set
     */
    public void setEnteredDate(DateRangeV4 enteredDate) {
        this.enteredDate = enteredDate;
    }
    /**
     * @return the recordId
     */
    public RecordIdentifierV4 getRecordId() {
        return recordId;
    }
    /**
     * @param recordId the recordId to set
     */
    public void setRecordId(RecordIdentifierV4 recordId) {
        this.recordId = recordId;
    }
    /**
     * @return the facility
     */
    public RepositoryV4 getFacility() {
        return facility;
    }
    /**
     * @param facility the facility to set
     */
    public void setFacility(RepositoryV4 facility) {
        this.facility = facility;
    }

    /**
     * @return the complexDataUrl
     */
    public String getComplexDataUrl() {
        return complexDataUrl;
    }

    /**
     * @param complexDataUrl the URL to set
     */
    public void setComplexDataUrl(String complexDataUrl) {
        this.complexDataUrl = complexDataUrl;
    }

    /**
     * @return the contentType
     */
    public List<SPDCBeanV4> getContentType() {
        return contentType;
    }

    /**
     * @param contentType to set
     */
    public void setContentType(List<SPDCBeanV4> contentType) {
        this.contentType = contentType;
    }
}
