package gov.va.med.bhie.beans.v4;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonProperty;

import java.util.List;

@JsonIgnoreProperties(ignoreUnknown = true)
public class HistoryV4 {
    @JsonProperty("dataDomain")
    private List<SPDCBeanV4> dataDomain;
    @JsonProperty("enteredBy")
    private ProviderV4 enteredBy;
    @JsonProperty("enteredDate")
    private DateRangeV4 enteredDate;
    @JsonProperty("facility")
    private RepositoryV4 facility;
    @JsonProperty("recordId")
    private RecordIdentifierV4 recordId;
    @JsonProperty("repository")
    private RepositoryV4 repository;

    @JsonProperty("onsetDate") //family history
    private DateRangeV4 onsetDate;
    @JsonProperty("notedDate") //family history
    private DateRangeV4 notedDate;

    @JsonProperty("finding")
    private List<SPDCBeanV4> finding;

    @JsonProperty("complexDataUrl")
    private String complexDataUrl;
    @JsonProperty("contentType")
    private List<SPDCBeanV4> contentType;
    @JsonProperty("location")
    private RepositoryV4 location;
    @JsonProperty("negationInd") //family history
    private boolean negationInd;
    @JsonProperty("relationship")//family history
    private List<SPDCBeanV4> relationship;
    @JsonProperty("provider")//family history
    private ProviderV4 provider;

    @JsonProperty("sensitive")
    private boolean sensitive;
    @JsonProperty("source")//family history
    private List<SPDCBeanV4> source;

    @JsonProperty("status")
    private List<SPDCBeanV4> status;
    @JsonProperty("title")
    private String title;
    @JsonProperty("type")
    private List<SPDCBeanV4> type;
    @JsonProperty("verifiedBy")
    private ProviderV4 verifiedBy;
    @JsonProperty("taxonomy")
    private List<SPDCBeanV4> taxonomy;
    @JsonProperty("verifiedDate")
    private DateRangeV4 verifiedDate;
    @JsonProperty("comments")
    private List<String> comments;

    public List<SPDCBeanV4> getDataDomain() {
        return dataDomain;
    }

    public void setDataDomain(List<SPDCBeanV4> dataDomain) {
        this.dataDomain = dataDomain;
    }

    public DateRangeV4 getEnteredDate() {
        return enteredDate;
    }

    public void setEnteredDate(DateRangeV4 enteredDate) {
        this.enteredDate = enteredDate;
    }

    public RepositoryV4 getFacility() {
        return facility;
    }

    public void setFacility(RepositoryV4 facility) {
        this.facility = facility;
    }

    public RecordIdentifierV4 getRecordId() {
        return recordId;
    }

    public void setRecordId(RecordIdentifierV4 recordId) {
        this.recordId = recordId;
    }

    public RepositoryV4 getRepository() {
        return repository;
    }

    public void setRepository(RepositoryV4 repository) {
        this.repository = repository;
    }

    public boolean isSensitive() {
        return sensitive;
    }

    public void setSensitive(boolean sensitive) {
        this.sensitive = sensitive;
    }

    public ProviderV4 getEnteredBy() {
        return enteredBy;
    }

    public void setEnteredBy(ProviderV4 enteredBy) {
        this.enteredBy = enteredBy;
    }

    public String getComplexDataUrl() {
        return complexDataUrl;
    }

    public void setComplexDataUrl(String complexDataUrl) {
        this.complexDataUrl = complexDataUrl;
    }

    public List<SPDCBeanV4> getContentType() {
        return contentType;
    }

    public void setContentType(List<SPDCBeanV4> contentType) {
        this.contentType = contentType;
    }

    public RepositoryV4 getLocation() {
        return location;
    }

    public void setLocation(RepositoryV4 location) {
        this.location = location;
    }

    public List<SPDCBeanV4> getStatus() {
        return status;
    }

    public void setStatus(List<SPDCBeanV4> status) {
        this.status = status;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public List<SPDCBeanV4> getType() {
        return type;
    }

    public void setType(List<SPDCBeanV4> type) {
        this.type = type;
    }

    public ProviderV4 getVerifiedBy() {
        return verifiedBy;
    }

    public void setVerifiedBy(ProviderV4 verifiedBy) {
        this.verifiedBy = verifiedBy;
    }

    public List<SPDCBeanV4> getTaxonomy() {
        return taxonomy;
    }

    public void setTaxonomy(List<SPDCBeanV4> taxonomy) {
        this.taxonomy = taxonomy;
    }

    public DateRangeV4 getVerifiedDate() {
        return verifiedDate;
    }

    public void setVerifiedDate(DateRangeV4 verifiedDate) {
        this.verifiedDate = verifiedDate;
    }

    public DateRangeV4 getOnsetDate() {
        return onsetDate;
    }

    public void setOnsetDate(DateRangeV4 onsetDate) {
        this.onsetDate = onsetDate;
    }

    public DateRangeV4 getNotedDate() {
        return notedDate;
    }

    public void setNotedDate(DateRangeV4 notedDate) {
        this.notedDate = notedDate;
    }

    public List<SPDCBeanV4> getFinding() {
        return finding;
    }

    public void setFinding(List<SPDCBeanV4> finding) {
        this.finding = finding;
    }

    public boolean isNegationInd() {
        return negationInd;
    }

    public void setNegationInd(boolean negationInd) {
        this.negationInd = negationInd;
    }

    public List<SPDCBeanV4> getRelationship() {
        return relationship;
    }

    public void setRelationship(List<SPDCBeanV4> relationship) {
        this.relationship = relationship;
    }

    public ProviderV4 getProvider() {
        return provider;
    }

    public void setProvider(ProviderV4 provider) {
        this.provider = provider;
    }

    public List<SPDCBeanV4> getSource() {
        return source;
    }

    public void setSource(List<SPDCBeanV4> source) {
        this.source = source;
    }

    public List<String> getComments() {
        return comments;
    }

    public void setComments(List<String> comments) {
        this.comments = comments;
    }
}
