package gov.va.med.bhie.beans.v4;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonProperty;

import java.util.List;

//import org.codehaus.jackson.annotate.JsonIgnoreProperties;
////import org.codehaus.jackson.annotate.JsonProperty;

@JsonIgnoreProperties(ignoreUnknown = true)
public class ImmunizationV4 {
    @JsonProperty("facility") //
    private RepositoryV4 facility;
    @JsonProperty("narrativeId")
    private String narrativeId;
    @JsonProperty("recordId")
    private RecordIdentifierV4 recordId;
    @JsonProperty("date") //
    private DateRangeV4 date;
    @JsonProperty("dosage") //
    private ImmunizationDosageV4 dosage;
    @JsonProperty("lotNumber") //
    private String lotNumber;
    @JsonProperty("manufacturer") //
    private List<SPDCBeanV4> manufacturer;
    @JsonProperty("negationInd") //
    private boolean negationInd;
    @JsonProperty("negationReason") //
    private String negationReason;
    @JsonProperty("repository") //
    private RepositoryV4 repository;
//    @JsonProperty("provider") //
//    private ProviderV4 provider;
    @JsonProperty("routeOfAdministration") //
    private List<SPDCBeanV4> routeOfAdministration;
    @JsonProperty("siteOfAdministration") //
    private List<SPDCBeanV4> siteOfAdministration;
    @JsonProperty("seriesInfo") //
    private String seriesInfo;
//    @JsonProperty("textDescription") //
//    private String textDescription;
    @JsonProperty("vaccine") //
    private List<SPDCBeanV4> vaccine;
    @JsonProperty("reaction")
    private ReactionV4 reaction;
    @JsonProperty("provider")
    private ProviderV4 provider;
    @JsonProperty("result")
    private ImmunizationResultV4 results;
    
    /**
     * @return the facility
     */
    public RepositoryV4 getFacility() {
        return facility;
    }
    /**
     * @param facility the facility to set
     */
    public void setFacility(RepositoryV4 facility) {
        this.facility = facility;
    }
    /**
     * @return the recordId
     */
    public RecordIdentifierV4 getRecordId() {
        return recordId;
    }
    /**
     * @param recordId the recordId to set
     */
    public void setRecordId(RecordIdentifierV4 recordId) {
        this.recordId = recordId;
    }
    /**
     * @return the date
     */
    public DateRangeV4 getDate() {
        return date;
    }
    /**
     * @param date the date to set
     */
    public void setDate(DateRangeV4 date) {
        this.date = date;
    }
    /**
     * @return the dosage
     */
    public ImmunizationDosageV4 getDosage() {
        return dosage;
    }
    /**
     * @param dosage the dosage to set
     */
    public void setDosage(ImmunizationDosageV4 dosage) {
        this.dosage = dosage;
    }
    /**
     * @return the lotNumber
     */
    public String getLotNumber() {
        return lotNumber;
    }
    /**
     * @param lotNumber the lotNumber to set
     */
    public void setLotNumber(String lotNumber) {
        this.lotNumber = lotNumber;
    }
    /**
     * @return the manufacturer
     */
    public List<SPDCBeanV4> getManufacturer() {
        return manufacturer;
    }
    /**
     * @param manufacturer the manufacturer to set
     */
    public void setManufacturer(List<SPDCBeanV4> manufacturer) {
        this.manufacturer = manufacturer;
    }
    /**
     * @return the negationReason
     */
    public String getNegationReason() {
        return negationReason;
    }
    /**
     * @param negationReason the negationReason to set
     */
    public void setNegationReason(String negationReason) {
        this.negationReason = negationReason;
    }
    /**
     * @return the repository
     */
    public RepositoryV4 getRepository() {
        return repository;
    }
    /**
     * @param repository the repository to set
     */
    public void setRepository(RepositoryV4 repository) {
        this.repository = repository;
    }
    /**
     * @return the routeOfAdministration
     */
    public List<SPDCBeanV4> getRouteOfAdministration() {
        return routeOfAdministration;
    }
    /**
     * @param routeOfAdministration the routeOfAdministration to set
     */
    public void setRouteOfAdministration(List<SPDCBeanV4> routeOfAdministration) {
        this.routeOfAdministration = routeOfAdministration;
    }
    /**
     * @return the seriesInfo
     */
    public String getSeriesInfo() {
        return seriesInfo;
    }
    /**
     * @param seriesInfo the seriesInfo to set
     */
    public void setSeriesInfo(String seriesInfo) {
        this.seriesInfo = seriesInfo;
    }
    /**
     * @return the vaccine
     */
    public List<SPDCBeanV4> getVaccine() {
        return vaccine;
    }
    /**
     * @param vaccine the vaccine to set
     */
    public void setVaccine(List<SPDCBeanV4> vaccine) {
        this.vaccine = vaccine;
    }

    public String getNarrativeId() {
        return narrativeId;
    }

    public void setNarrativeId(String narrativeId) {
        this.narrativeId = narrativeId;
    }

    public boolean isNegationInd() {
        return negationInd;
    }

    public void setNegationInd(boolean negationInd) {
        this.negationInd = negationInd;
    }

    public List<SPDCBeanV4> getSiteOfAdministration() {
        return siteOfAdministration;
    }

    public void setSiteOfAdministration(List<SPDCBeanV4> siteOfAdministration) {
        this.siteOfAdministration = siteOfAdministration;
    }

    public ReactionV4 getReaction() {
        return reaction;
    }

    public void setReaction(ReactionV4 reaction) {
        this.reaction = reaction;
    }

    public ProviderV4 getProvider() {
        return provider;
    }

    public void setProvider(ProviderV4 provider) {
        this.provider = provider;
    }
    /**
     * @param results the results to set
     */
    public void setResults(ImmunizationResultV4 results) {
        this.results = results;
    }
    /**
     * @return the results
     */
    public ImmunizationResultV4 getResults() {
        return results;
    }
}
