package gov.va.med.bhie.beans.v4;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonProperty;

import java.util.List;

//import org.codehaus.jackson.annotate.JsonIgnoreProperties;
//import org.codehaus.jackson.annotate.JsonProperty;

@JsonIgnoreProperties(ignoreUnknown = true)
public class MedicationV4 {
    @JsonProperty("dataDomain")
    private List<SPDCBeanV4> dataDomain;
    @JsonProperty("daysSupply")
    private String daysSupply;
    @JsonProperty("dispensingPharmacy")
    private RepositoryV4 dispensingPharmacy;
    @JsonProperty("facility") //
    private RepositoryV4 facility;
    @JsonProperty("recordId")
    private RecordIdentifierV4 recordId;
    @JsonProperty("repository") //
    private RepositoryV4 repository;
    @JsonProperty("active") //
    private boolean active;
    @JsonProperty("comment") //
    private String comment;
    @JsonProperty("currentSupplyEndDate")
    private DateRangeV4 currentSupplyEndDate;
    @JsonProperty("drugs") //
    private List<DrugV4> drugs;
    @JsonProperty("enteredBy") //
    private ProviderV4 enteredBy;
    @JsonProperty("enteredDate") //
    private DateRangeV4 enteredDate;
    //    @JsonProperty("fillCost") //
//    private String fillCost;
    @JsonProperty("fillExpirationDate") //
    private DateRangeV4 fillExpirationDate;
    @JsonProperty("fillInfo") //
    private List<MedicationFillInfoV4> fillInfo;
    @JsonProperty("issueDate") //
    private DateRangeV4 issueDate;
    @JsonProperty("lastFillDate") //
    private DateRangeV4 lastFillDate;
    @JsonProperty("location") //
    private RepositoryV4 location;
    @JsonProperty("narrativeId") //
    private String narrativeId;
    @JsonProperty("numberOfRefills") //
    private String numberOfRefills;
    //    @JsonProperty("numberOfTimes") //
//    private String numberOfTimes;
    @JsonProperty("orderDate") //
    private DateRangeV4 orderDate;
    @JsonProperty("orderNumber")
    private RecordIdentifierV4 orderNumber;
    @JsonProperty("otc") //
    private boolean otc;
//    @JsonProperty("prescription") //renamed to careSetting
//    private String prescription;
    @JsonProperty("careSetting")
    private String careSetting;
    @JsonProperty("provider") //
    private ProviderV4 provider;
    @JsonProperty("quantity") //
    private QuantityV4 quantity;
    @JsonProperty("refillsRemaining") //
    private String refillsRemaining;
    @JsonProperty("route") //
    private List<SPDCBeanV4> route;
    @JsonProperty("rxNumber")
    private RecordIdentifierV4 rxNumber;
    @JsonProperty("sig") //
    private String sig;
    @JsonProperty("status") //
    private List<SPDCBeanV4> status;
    @JsonProperty("endDate") //
    private DateRangeV4 endDate;
    //    @JsonProperty("units") //
//    private List<SPDCBeanV4> units;
    @JsonProperty("childResistant")
    private boolean childResistant;
    @JsonProperty("startDate") //
    private DateRangeV4 startDate;
    @JsonProperty("systemOfOrigin") //
    private SPDCBeanV4 systemOfOrigin;


    /**
     * @return the daysSupply
     */
    public String getDaysSupply() {
        return daysSupply;
    }

    /**
     * @param daysSupply the daysSupply to set
     */
    public void setDaysSupply(String daysSupply) {
        this.daysSupply = daysSupply;
    }

    /**
     * @return the dispensingPharmacy
     */
    public RepositoryV4 getDispensingPharmacy() {
        return dispensingPharmacy;
    }

    /**
     * @param dispensingPharmacy the dispensingPharmacy to set
     */
    public void setDispensingPharmacy(RepositoryV4 dispensingPharmacy) {
        this.dispensingPharmacy = dispensingPharmacy;
    }

    /**
     * @return the facility
     */
    public RepositoryV4 getFacility() {
        return facility;
    }

    /**
     * @param facility the facility to set
     */
    public void setFacility(RepositoryV4 facility) {
        this.facility = facility;
    }

    /**
     * @return the recordId
     */
    public RecordIdentifierV4 getRecordId() {
        return recordId;
    }

    /**
     * @param recordId the recordId to set
     */
    public void setRecordId(RecordIdentifierV4 recordId) {
        this.recordId = recordId;
    }

    /**
     * @return the repository
     */
    public RepositoryV4 getRepository() {
        return repository;
    }

    /**
     * @param repository the repository to set
     */
    public void setRepository(RepositoryV4 repository) {
        this.repository = repository;
    }

    public List<DrugV4> getDrugs() {
        return drugs;
    }

    public void setDrugs(List<DrugV4> drugs) {
        this.drugs = drugs;
    }

    /**
     * @return the fillExpirationDate
     */
    public DateRangeV4 getFillExpirationDate() {
        return fillExpirationDate;
    }

    /**
     * @param fillExpirationDate the fillExpirationDate to set
     */
    public void setFillExpirationDate(DateRangeV4 fillExpirationDate) {
        this.fillExpirationDate = fillExpirationDate;
    }

    /**
     * @return the fillInfo
     */
    public List<MedicationFillInfoV4> getFillInfo() {
        return fillInfo;
    }

    /**
     * @param fillInfo the fillInfo to set
     */
    public void setFillInfo(List<MedicationFillInfoV4> fillInfo) {
        this.fillInfo = fillInfo;
    }

    /**
     * @return the lastFillDate
     */
    public DateRangeV4 getLastFillDate() {
        return lastFillDate;
    }

    /**
     * @param lastFillDate the lastFillDate to set
     */
    public void setLastFillDate(DateRangeV4 lastFillDate) {
        this.lastFillDate = lastFillDate;
    }

    /**
     * @return the numberOfRefills
     */
    public String getNumberOfRefills() {
        return numberOfRefills;
    }

    /**
     * @param numberOfRefills the numberOfRefills to set
     */
    public void setNumberOfRefills(String numberOfRefills) {
        this.numberOfRefills = numberOfRefills;
    }

    /**
     * @return the provider
     */
    public ProviderV4 getProvider() {
        return provider;
    }

    /**
     * @param provider the provider to set
     */
    public void setProvider(ProviderV4 provider) {
        this.provider = provider;
    }

    /**
     * @return the quantity
     */
    public QuantityV4 getQuantity() {
        return quantity;
    }

    /**
     * @param quantity the quantity to set
     */
    public void setQuantity(QuantityV4 quantity) {
        this.quantity = quantity;
    }

    /**
     * @return the refillsRemaining
     */
    public String getRefillsRemaining() {
        return refillsRemaining;
    }

    /**
     * @param refillsRemaining the refillsRemaining to set
     */
    public void setRefillsRemaining(String refillsRemaining) {
        this.refillsRemaining = refillsRemaining;
    }

    /**
     * @return the rxNumber
     */
    public RecordIdentifierV4 getRxNumber() {
        return rxNumber;
    }

    /**
     * @param rxNumber the rxNumber to set
     */
    public void setRxNumber(RecordIdentifierV4 rxNumber) {
        this.rxNumber = rxNumber;
    }

    /**
     * @return the sig
     */
    public String getSig() {
        return sig;
    }

    /**
     * @param sig the sig to set
     */
    public void setSig(String sig) {
        this.sig = sig;
    }

    /**
     * @return the status
     */
    public List<SPDCBeanV4> getStatus() {
        return status;
    }

    /**
     * @param status the status to set
     */
    public void setStatus(List<SPDCBeanV4> status) {
        this.status = status;
    }

    public List<SPDCBeanV4> getDataDomain() {
        return dataDomain;
    }

    public void setDataDomain(List<SPDCBeanV4> dataDomain) {
        this.dataDomain = dataDomain;
    }

    public boolean isActive() {
        return active;
    }

    public void setActive(boolean active) {
        this.active = active;
    }

    public String getComment() {
        return comment;
    }

    public void setComment(String comment) {
        this.comment = comment;
    }

    public ProviderV4 getEnteredBy() {
        return enteredBy;
    }

    public void setEnteredBy(ProviderV4 enteredBy) {
        this.enteredBy = enteredBy;
    }

    public DateRangeV4 getEnteredDate() {
        return enteredDate;
    }

    public void setEnteredDate(DateRangeV4 enteredDate) {
        this.enteredDate = enteredDate;
    }

    public DateRangeV4 getIssueDate() {
        return issueDate;
    }

    public void setIssueDate(DateRangeV4 issueDate) {
        this.issueDate = issueDate;
    }

    public RepositoryV4 getLocation() {
        return location;
    }

    public void setLocation(RepositoryV4 location) {
        this.location = location;
    }

    public RecordIdentifierV4 getOrderNumber() {
        return orderNumber;
    }

    public void setOrderNumber(RecordIdentifierV4 orderNumber) {
        this.orderNumber = orderNumber;
    }

    public boolean isOtc() {
        return otc;
    }

    public void setOtc(boolean otc) {
        this.otc = otc;
    }

    public List<SPDCBeanV4> getRoute() {
        return route;
    }

    public void setRoute(List<SPDCBeanV4> route) {
        this.route = route;
    }

//    public String getPrescription() {
//        return prescription;
//    }
//
//    public void setPrescription(String prescription) {
//        this.prescription = prescription;
//    }

    public String getCareSetting() {
        return careSetting;
    }

    public void setCareSetting(String careSetting) {
        this.careSetting = careSetting;
    }

    public String getNarrativeId() {
        return narrativeId;
    }

    public void setNarrativeId(String narrativeId) {
        this.narrativeId = narrativeId;
    }

    public boolean isChildResistant() {
        return childResistant;
    }

    public void setChildResistant(boolean childResistant) {
        this.childResistant = childResistant;
    }

    public DateRangeV4 getOrderDate() {
        return orderDate;
    }

    public void setOrderDate(DateRangeV4 orderDate) {
        this.orderDate = orderDate;
    }

    public DateRangeV4 getEndDate() {
        return endDate;
    }

    public void setEndDate(DateRangeV4 endDate) {
        this.endDate = endDate;
    }

    public DateRangeV4 getStartDate() {
        return startDate;
    }

    public void setStartDate(DateRangeV4 startDate) {
        this.startDate = startDate;
    }

    public SPDCBeanV4 getSystemOfOrigin() {
        return systemOfOrigin;
    }

    public void setSystemOfOrigin(SPDCBeanV4 systemOfOrigin) {
        this.systemOfOrigin = systemOfOrigin;
    }
    
    public DateRangeV4 getCurrentSupplyEndDate() {return currentSupplyEndDate;}

    public void setCurrentSupplyEndDate(DateRangeV4 currentSupplyEndDate) {this.currentSupplyEndDate = currentSupplyEndDate;}
}
