package gov.va.med.bhie.beans.v4;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonProperty;

import java.util.List;

//import org.codehaus.jackson.annotate.JsonIgnoreProperties;
//import org.codehaus.jackson.annotate.JsonProperty;

@JsonIgnoreProperties(ignoreUnknown = true)
public class PayerV4 {
    @JsonProperty("comment")
    private String comment;
    @JsonProperty("group")
    private String group;
    @JsonProperty("plan")
    private InsurancePlanV4 plan;
    @JsonProperty("policy")
    private String policy;
    @JsonProperty("rxBin")
    private String rxBin;
    @JsonProperty("rxPcn")
    private String rxPcn;
    @JsonProperty("subscriber")
    private InsuranceSubscriberV4 subscriber;
    @JsonProperty("textDescription")
    private String textDescription;
    @JsonProperty("narrativeId")
    private String narrativeId;
    @JsonProperty("repository") //
    private RepositoryV4 repository;
    @JsonProperty("dataDomain") //
    private List<SPDCBeanV4> dataDomain;
    @JsonProperty("enteredBy")
    private ProviderV4 enteredBy;
    @JsonProperty("enteredDate")
    private DateRangeV4 enteredDate;
    @JsonProperty("recordId") //
    private RecordIdentifierV4 recordId;    
    @JsonProperty("facility") //
    private RepositoryV4 facility;
    /**
     * @return the comment
     */
    public String getComment() {
        return comment;
    }
    /**
     * @param comment the comment to set
     */
    public void setComment(String comment) {
        this.comment = comment;
    }
    /**
     * @return the group
     */
    public String getGroup() {
        return group;
    }
    /**
     * @param group the group to set
     */
    public void setGroup(String group) {
        this.group = group;
    }
    /**
     * @return the plan
     */
    public InsurancePlanV4 getPlan() {
        return plan;
    }
    /**
     * @param plan the plan to set
     */
    public void setPlan(InsurancePlanV4 plan) {
        this.plan = plan;
    }
    /**
     * @return the policy
     */
    public String getPolicy() {
        return policy;
    }
    /**
     * @param policy the policy to set
     */
    public void setPolicy(String policy) {
        this.policy = policy;
    }
    /**
     * @return the rxBin
     */
    public String getRxBin() {
        return rxBin;
    }
    /**
     * @param rxBin the rxBin to set
     */
    public void setRxBin(String rxBin) {
        this.rxBin = rxBin;
    }
    /**
     * @return the rxPcn
     */
    public String getRxPcn() {
        return rxPcn;
    }
    /**
     * @param rxPcn the rxPcn to set
     */
    public void setRxPcn(String rxPcn) {
        this.rxPcn = rxPcn;
    }
    /**
     * @return the subscriber
     */
    public InsuranceSubscriberV4 getSubscriber() {
        return subscriber;
    }
    /**
     * @param subscriber the subscriber to set
     */
    public void setSubscriber(InsuranceSubscriberV4 subscriber) {
        this.subscriber = subscriber;
    }
    /**
     * @return the textDescription
     */
    public String getTextDescription() {
        return textDescription;
    }
    /**
     * @param textDescription the textDescription to set
     */
    public void setTextDescription(String textDescription) {
        this.textDescription = textDescription;
    }
    /**
     * @return the narrativeId
     */
    public String getNarrativeId() {
        return narrativeId;
    }
    /**
     * @param narrativeId the narrativeId to set
     */
    public void setNarrativeId(String narrativeId) {
        this.narrativeId = narrativeId;
    }
    /**
     * @return the repository
     */
    public RepositoryV4 getRepository() {
        return repository;
    }
    /**
     * @param repository the repository to set
     */
    public void setRepository(RepositoryV4 repository) {
        this.repository = repository;
    }
    /**
     * @return the dataDomain
     */
    public List<SPDCBeanV4> getDataDomain() {
        return dataDomain;
    }
    /**
     * @param dataDomain the dataDomain to set
     */
    public void setDataDomain(List<SPDCBeanV4> dataDomain) {
        this.dataDomain = dataDomain;
    }
    /**
     * @return the enteredBy
     */
    public ProviderV4 getEnteredBy() {
        return enteredBy;
    }
    /**
     * @param enteredBy the enteredBy to set
     */
    public void setEnteredBy(ProviderV4 enteredBy) {
        this.enteredBy = enteredBy;
    }
    /**
     * @return the enteredDate
     */
    public DateRangeV4 getEnteredDate() {
        return enteredDate;
    }
    /**
     * @param enteredDate the enteredDate to set
     */
    public void setEnteredDate(DateRangeV4 enteredDate) {
        this.enteredDate = enteredDate;
    }
    /**
     * @return the recordId
     */
    public RecordIdentifierV4 getRecordId() {
        return recordId;
    }
    /**
     * @param recordId the recordId to set
     */
    public void setRecordId(RecordIdentifierV4 recordId) {
        this.recordId = recordId;
    }
    /**
     * @return the facility
     */
    public RepositoryV4 getFacility() {
        return facility;
    }
    /**
     * @param facility the facility to set
     */
    public void setFacility(RepositoryV4 facility) {
        this.facility = facility;
    }
}
