package gov.va.med.bhie.beans.v4;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonProperty;

import java.util.List;

//import org.codehaus.jackson.annotate.JsonIgnoreProperties;
//import org.codehaus.jackson.annotate.JsonProperty;

@JsonIgnoreProperties(ignoreUnknown = true)
public class ProblemV4 {
    @JsonProperty("chronicity") //
    private List<SPDCBeanV4> chronicity;
    @JsonProperty("comment") //
    private String comment;
    @JsonProperty("modifiedBy")
    private ProviderV4 modifiedBy;
    @JsonProperty("modifiedDate")
    private DateRangeV4 modifiedDate;
    @JsonProperty("negationInd")
    private String negationInd;
    @JsonProperty("onsetDate")
    private DateRangeV4 onsetDate;
    @JsonProperty("problem") //
    private List<SPDCBeanV4> problem;
    @JsonProperty("provider") //
    private ProviderV4 provider;
    @JsonProperty("sourceOfInfo") //
    private List<SPDCBeanV4> sourceOfInfo;
    @JsonProperty("status") //
    private List<SPDCBeanV4> status;
    @JsonProperty("acuity") //
    private List<SPDCBeanV4> acuity;
    //    @JsonProperty("encounterDate")
//    private String encounterDate;
//    private DateRangeV4 encounterDate;
    @JsonProperty("hospitalLocation")
    private String hospitalLocation;
    @JsonProperty("icdCode") //
    private List<SPDCBeanV4> icdCode;
    @JsonProperty("lastModifiedDate")
    private String lastModifiedDate;
    //    private DateRangeV4 lastModifiedDate;
    @JsonProperty("longDescription")
    private String longDescription;
    @JsonProperty("shortDescription")
    private String shortDescription;
    @JsonProperty("type")
    private String type;
    @JsonProperty("problemId")
    private String problemId;
    @JsonProperty("narrativeId")
    private String narrativeId;
    @JsonProperty("repository") //
    private RepositoryV4 repository;
    @JsonProperty("dataDomain") //
    private List<SPDCBeanV4> dataDomain;
    @JsonProperty("enteredBy")
    private ProviderV4 enteredBy;
    @JsonProperty("enteredDate")
    private DateRangeV4 enteredDate;
    @JsonProperty("recordId") //
    private RecordIdentifierV4 recordId;
    @JsonProperty("facility") //
    private RepositoryV4 facility;
    @JsonProperty("notes")
    private String notes;

    /**
     * @return the chronicity
     */
    public List<SPDCBeanV4> getChronicity() {
        return chronicity;
    }

    /**
     * @param chronicity the chronicity to set
     */
    public void setChronicity(List<SPDCBeanV4> chronicity) {
        this.chronicity = chronicity;
    }

    /**
     * @return the comment
     */
    public String getComment() {
        return comment;
    }

    /**
     * @param comment the comment to set
     */
    public void setComment(String comment) {
        this.comment = comment;
    }

    /**
     * @return the modifiedBy
     */
    public ProviderV4 getModifiedBy() {
        return modifiedBy;
    }

    /**
     * @param modifiedBy the modifiedBy to set
     */
    public void setModifiedBy(ProviderV4 modifiedBy) {
        this.modifiedBy = modifiedBy;
    }

    /**
     * @return the modifiedDate
     */
    public DateRangeV4 getModifiedDate() {
        return modifiedDate;
    }

    /**
     * @param modifiedDate the modifiedDate to set
     */
    public void setModifiedDate(DateRangeV4 modifiedDate) {
        this.modifiedDate = modifiedDate;
    }

    /**
     * @return the negationInd
     */
    public String getNegationInd() {
        return negationInd;
    }

    /**
     * @param negationInd the negationInd to set
     */
    public void setNegationInd(String negationInd) {
        this.negationInd = negationInd;
    }

    /**
     * @return the onsetDate
     */
    public DateRangeV4 getOnsetDate() {
        return onsetDate;
    }

    /**
     * @param onsetDate the onsetDate to set
     */
    public void setOnsetDate(DateRangeV4 onsetDate) {
        this.onsetDate = onsetDate;
    }

    /**
     * @return the problem
     */
    public List<SPDCBeanV4> getProblem() {
        return problem;
    }

    /**
     * @param problem the problem to set
     */
    public void setProblem(List<SPDCBeanV4> problem) {
        this.problem = problem;
    }

    /**
     * @return the provider
     */
    public ProviderV4 getProvider() {
        return provider;
    }

    /**
     * @param provider the provider to set
     */
    public void setProvider(ProviderV4 provider) {
        this.provider = provider;
    }

    /**
     * @return the sourceOfInfo
     */
    public List<SPDCBeanV4> getSourceOfInfo() {
        return sourceOfInfo;
    }

    /**
     * @param sourceOfInfo the sourceOfInfo to set
     */
    public void setSourceOfInfo(List<SPDCBeanV4> sourceOfInfo) {
        this.sourceOfInfo = sourceOfInfo;
    }

    /**
     * @return the status
     */
    public List<SPDCBeanV4> getStatus() {
        return status;
    }

    /**
     * @param status the status to set
     */
    public void setStatus(List<SPDCBeanV4> status) {
        this.status = status;
    }

    /**
     * @return the acuity
     */
    public List<SPDCBeanV4> getAcuity() {
        return acuity;
    }

    /**
     * @param acuity the acuity to set
     */
    public void setAcuity(List<SPDCBeanV4> acuity) {
        this.acuity = acuity;
    }
//    /**
//     * @return the encounterDate
//     */
//    public String getEncounterDate() {
//        return encounterDate;
//    }
//    /**
//     * @param encounterDate the encounterDate to set
//     */
//    public void setEncounterDate(String encounterDate) {
//        this.encounterDate = encounterDate;
//    }

    /**
     * @return the hospitalLocation
     */
    public String getHospitalLocation() {
        return hospitalLocation;
    }

    /**
     * @param hospitalLocation the hospitalLocation to set
     */
    public void setHospitalLocation(String hospitalLocation) {
        this.hospitalLocation = hospitalLocation;
    }

    /**
     * @return the icdCode
     */
    public List<SPDCBeanV4> getIcdCode() {
        return icdCode;
    }

    /**
     * @param icdCode the icdCode to set
     */
    public void setIcdCode(List<SPDCBeanV4> icdCode) {
        this.icdCode = icdCode;
    }

    /**
     * @return the lastModifiedDate
     */
    public String getLastModifiedDate() {
        return lastModifiedDate;
    }

    /**
     * @param lastModifiedDate the lastModifiedDate to set
     */
    public void setLastModifiedDate(String lastModifiedDate) {
        this.lastModifiedDate = lastModifiedDate;
    }

    /**
     * @return the longDescription
     */
    public String getLongDescription() {
        return longDescription;
    }

    /**
     * @param longDescription the longDescription to set
     */
    public void setLongDescription(String longDescription) {
        this.longDescription = longDescription;
    }

    /**
     * @return the shortDescription
     */
    public String getShortDescription() {
        return shortDescription;
    }

    /**
     * @param shortDescription the shortDescription to set
     */
    public void setShortDescription(String shortDescription) {
        this.shortDescription = shortDescription;
    }

    /**
     * @return the type
     */
    public String getType() {
        return type;
    }

    /**
     * @param type the type to set
     */
    public void setType(String type) {
        this.type = type;
    }

    /**
     * @return the problemId
     */
    public String getProblemId() {
        return problemId;
    }

    /**
     * @param problemId the problemId to set
     */
    public void setProblemId(String problemId) {
        this.problemId = problemId;
    }

    /**
     * @return the narrativeId
     */
    public String getNarrativeId() {
        return narrativeId;
    }

    /**
     * @param narrativeId the narrativeId to set
     */
    public void setNarrativeId(String narrativeId) {
        this.narrativeId = narrativeId;
    }

    /**
     * @return the repository
     */
    public RepositoryV4 getRepository() {
        return repository;
    }

    /**
     * @param repository the repository to set
     */
    public void setRepository(RepositoryV4 repository) {
        this.repository = repository;
    }

    /**
     * @return the dataDomain
     */
    public List<SPDCBeanV4> getDataDomain() {
        return dataDomain;
    }

    /**
     * @param dataDomain the dataDomain to set
     */
    public void setDataDomain(List<SPDCBeanV4> dataDomain) {
        this.dataDomain = dataDomain;
    }

    /**
     * @return the enteredBy
     */
    public ProviderV4 getEnteredBy() {
        return enteredBy;
    }

    /**
     * @param enteredBy the enteredBy to set
     */
    public void setEnteredBy(ProviderV4 enteredBy) {
        this.enteredBy = enteredBy;
    }

    /**
     * @return the enteredDate
     */
    public DateRangeV4 getEnteredDate() {
        return enteredDate;
    }

    /**
     * @param enteredDate the enteredDate to set
     */
    public void setEnteredDate(DateRangeV4 enteredDate) {
        this.enteredDate = enteredDate;
    }

    /**
     * @return the recordId
     */
    public RecordIdentifierV4 getRecordId() {
        return recordId;
    }

    /**
     * @param recordId the recordId to set
     */
    public void setRecordId(RecordIdentifierV4 recordId) {
        this.recordId = recordId;
    }

    /**
     * @return the facility
     */
    public RepositoryV4 getFacility() {
        return facility;
    }

    /**
     * @param facility the facility to set
     */
    public void setFacility(RepositoryV4 facility) {
        this.facility = facility;
    }

    public String getNotes() {
        return notes;
    }

    public void setNotes(String notes) {
        this.notes = notes;
    }
}
