package gov.va.med.bhie.beans.v4;

//import org.codehaus.jackson.annotate.JsonIgnoreProperties;
//import org.codehaus.jackson.annotate.JsonProperty;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonProperty;

import java.util.List;

@JsonIgnoreProperties(ignoreUnknown = true)
public class RadiologyOrderV4 {

    @JsonProperty("dataDomain")
    private List<SPDCBeanV4> dataDomain;
    @JsonProperty("facility") //
    private RepositoryV4 facility;
    @JsonProperty("recordId")
    private RecordIdentifierV4 recordId;
    @JsonProperty("orderNumber")
    private RecordIdentifierV4 orderNumber;
    @JsonProperty("repository") //
    private RepositoryV4 repository;
    @JsonProperty("enteredBy") //
    private ProviderV4 enteredBy;
    @JsonProperty("orderingProvider") //
    private ProviderV4 orderingProvider;
    @JsonProperty("date")
    private DateRangeV4 date;
    @JsonProperty("duration")
    private String duration;
    @JsonProperty("startDate")
    private DateRangeV4 startDate;
    @JsonProperty("endDate")
    private DateRangeV4 endDate;
    @JsonProperty("enteringLocation") //
    private RepositoryV4 enteringLocation;
    @JsonProperty("groupNumber")
    private String groupNumber;
    @JsonProperty("orderable")
    private List<SPDCBeanV4> orderable;
    @JsonProperty("priority") //
    private String priority;
    @JsonProperty("scheduleType")
    private List<SPDCBeanV4> scheduleType;
    @JsonProperty("status") //
    private List<SPDCBeanV4> status;


    public List<SPDCBeanV4> getDataDomain() {
        return dataDomain;
    }

    public void setDataDomain(List<SPDCBeanV4> dataDomain) {
        this.dataDomain = dataDomain;
    }

    public RepositoryV4 getFacility() {
        return facility;
    }

    public void setFacility(RepositoryV4 facility) {
        this.facility = facility;
    }

    public RecordIdentifierV4 getRecordId() {
        return recordId;
    }

    public void setRecordId(RecordIdentifierV4 recordId) {
        this.recordId = recordId;
    }

    public RecordIdentifierV4 getOrderNumber() {
        return orderNumber;
    }

    public void setOrderNumber(RecordIdentifierV4 orderNumber) {
        this.orderNumber = orderNumber;
    }

    public RepositoryV4 getRepository() {
        return repository;
    }

    public void setRepository(RepositoryV4 repository) {
        this.repository = repository;
    }

    public ProviderV4 getEnteredBy() {
        return enteredBy;
    }

    public void setEnteredBy(ProviderV4 enteredBy) {
        this.enteredBy = enteredBy;
    }

    public ProviderV4 getOrderingProvider() {
        return orderingProvider;
    }

    public void setOrderingProvider(ProviderV4 orderingProvider) {
        this.orderingProvider = orderingProvider;
    }

    public DateRangeV4 getDate() {
        return date;
    }

    public void setDate(DateRangeV4 date) {
        this.date = date;
    }

    public String getDuration() {
        return duration;
    }

    public void setDuration(String duration) {
        this.duration = duration;
    }

    public DateRangeV4 getStartDate() {
        return startDate;
    }

    public void setStartDate(DateRangeV4 startDate) {
        this.startDate = startDate;
    }

    public DateRangeV4 getEndDate() {
        return endDate;
    }

    public void setEndDate(DateRangeV4 endDate) {
        this.endDate = endDate;
    }

    public RepositoryV4 getEnteringLocation() {
        return enteringLocation;
    }

    public void setEnteringLocation(RepositoryV4 enteringLocation) {
        this.enteringLocation = enteringLocation;
    }

    public String getGroupNumber() {
        return groupNumber;
    }

    public void setGroupNumber(String groupNumber) {
        this.groupNumber = groupNumber;
    }

    public List<SPDCBeanV4> getOrderable() {
        return orderable;
    }

    public void setOrderable(List<SPDCBeanV4> orderable) {
        this.orderable = orderable;
    }

    public String getPriority() {
        return priority;
    }

    public void setPriority(String priority) {
        this.priority = priority;
    }

    public List<SPDCBeanV4> getScheduleType() {
        return scheduleType;
    }

    public void setScheduleType(List<SPDCBeanV4> scheduleType) {
        this.scheduleType = scheduleType;
    }

    public List<SPDCBeanV4> getStatus() {
        return status;
    }

    public void setStatus(List<SPDCBeanV4> status) {
        this.status = status;
    }

}
