package gov.va.med.bhie.beans.v4;

//import org.codehaus.jackson.annotate.JsonIgnoreProperties;
//import org.codehaus.jackson.annotate.JsonProperty;

import java.util.List;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;

@JsonIgnoreProperties(ignoreUnknown = true)
public class RadiologyReportV4 {

    @JsonProperty("dataDomain")
    private List<SPDCBeanV4> dataDomain;
    @JsonProperty("enteredBy") //
    private ProviderV4 enteredBy;
    @JsonProperty("enteredDate")
    private DateRangeV4 enteredDate;
    @JsonProperty("facility") //
    private RepositoryV4 facility;
    @JsonProperty("recordId")
    private RecordIdentifierV4 recordId;
    @JsonProperty("repository") //
    private RepositoryV4 repository;
    @JsonProperty("amendments")
    private List<AmendmentV4> amendments;
    @JsonProperty("approvedBy")
    private ProviderV4 approvedBy;
    @JsonProperty("content")
    private String content;
    @JsonProperty("exam")
    private ExamV4 exam;
    @JsonProperty("interpretedBy")
    private ProviderV4 interpretedBy;
    @JsonProperty("location")
    private RepositoryV4 location;
    @JsonProperty("order")
    private OrderV4 order;
    @JsonProperty("procedures")
    @JsonDeserialize(using = SPDCListDeserializer.class)
    private List<SPDCWrapperV4> procedures;
    @JsonProperty("reason") //
    private String reason;
    @JsonProperty("reportId")
    private RecordIdentifierV4 reportId;
    @JsonProperty("requestingLocation")
    private RepositoryV4 requestingLocation;
    @JsonProperty("requestingProvider")
    private ProviderV4 requestingProvider;
    @JsonProperty("result")
    private List<SPDCBeanV4> result;
    @JsonProperty("status")
    private List<SPDCBeanV4> status;
    @JsonProperty("transcriptionDate")
    private DateRangeV4 transcriptionDate;
    @JsonProperty("verifiedBy")
    private ProviderV4 verifiedBy;
    @JsonProperty("verifiedDate")
    private DateRangeV4 verifiedDate;
    @JsonProperty("priority") //
    private String priority;

    public List<SPDCBeanV4> getDataDomain() {
        return dataDomain;
    }

    public void setDataDomain(List<SPDCBeanV4> dataDomain) {
        this.dataDomain = dataDomain;
    }

    public ProviderV4 getEnteredBy() {
        return enteredBy;
    }

    public void setEnteredBy(ProviderV4 enteredBy) {
        this.enteredBy = enteredBy;
    }

    public DateRangeV4 getEnteredDate() {
        return enteredDate;
    }

    public void setEnteredDate(DateRangeV4 enteredDate) {
        this.enteredDate = enteredDate;
    }

    public RepositoryV4 getFacility() {
        return facility;
    }

    public void setFacility(RepositoryV4 facility) {
        this.facility = facility;
    }

    public RecordIdentifierV4 getRecordId() {
        return recordId;
    }

    public void setRecordId(RecordIdentifierV4 recordId) {
        this.recordId = recordId;
    }

    public RepositoryV4 getRepository() {
        return repository;
    }

    public void setRepository(RepositoryV4 repository) {
        this.repository = repository;
    }

    public List<AmendmentV4> getAmendments() {
        return amendments;
    }

    public void setAmendments(List<AmendmentV4> amendments) {
        this.amendments = amendments;
    }

    public ProviderV4 getApprovedBy() {
        return approvedBy;
    }

    public void setApprovedBy(ProviderV4 approvedBy) {
        this.approvedBy = approvedBy;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public ExamV4 getExam() {
        return exam;
    }

    public void setExam(ExamV4 exam) {
        this.exam = exam;
    }

    public ProviderV4 getInterpretedBy() {
        return interpretedBy;
    }

    public void setInterpretedBy(ProviderV4 interpretedBy) {
        this.interpretedBy = interpretedBy;
    }

    public RepositoryV4 getLocation() {
        return location;
    }

    public void setLocation(RepositoryV4 location) {
        this.location = location;
    }

    public OrderV4 getOrder() {
        return order;
    }

    public void setOrder(OrderV4 order) {
        this.order = order;
    }

    public List<SPDCWrapperV4> getProcedures() {
        return procedures;
    }

    public void setProcedures(List<SPDCWrapperV4> procedures) {
        this.procedures = procedures;
    }

    public String getReason() {
        return reason;
    }

    public void setReason(String reason) {
        this.reason = reason;
    }

    public RecordIdentifierV4 getReportId() {
        return reportId;
    }

    public void setReportId(RecordIdentifierV4 reportId) {
        this.reportId = reportId;
    }

    public RepositoryV4 getRequestingLocation() {
        return requestingLocation;
    }

    public void setRequestingLocation(RepositoryV4 requestingLocation) {
        this.requestingLocation = requestingLocation;
    }

    public ProviderV4 getRequestingProvider() {
        return requestingProvider;
    }

    public void setRequestingProvider(ProviderV4 requestingProvider) {
        this.requestingProvider = requestingProvider;
    }

    public List<SPDCBeanV4> getResult() {
        return result;
    }

    public void setResult(List<SPDCBeanV4> result) {
        this.result = result;
    }

    public List<SPDCBeanV4> getStatus() {
        return status;
    }

    public void setStatus(List<SPDCBeanV4> status) {
        this.status = status;
    }

    public DateRangeV4 getTranscriptionDate() {
        return transcriptionDate;
    }

    public void setTranscriptionDate(DateRangeV4 transcriptionDate) {
        this.transcriptionDate = transcriptionDate;
    }

    public ProviderV4 getVerifiedBy() {
        return verifiedBy;
    }

    public void setVerifiedBy(ProviderV4 verifiedBy) {
        this.verifiedBy = verifiedBy;
    }

    public DateRangeV4 getVerifiedDate() {
        return verifiedDate;
    }

    public void setVerifiedDate(DateRangeV4 verifiedDate) {
        this.verifiedDate = verifiedDate;
    }

    public String getPriority() {
        return priority;
    }

    public void setPriority(String priority) {
        this.priority = priority;
    }
}
