package gov.va.med.bhie.beans.v4;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;

import java.util.List;

/**
 * Created by melcolm on 6/18/15.
 */
@JsonIgnoreProperties(ignoreUnknown = true)
public class ResultsV4 {

    @JsonProperty("certifiedBy")
    private ProviderV4 certifiedBy; //used by AP
    @JsonProperty("content")
    private String content;
    @JsonProperty("type")
    private List<SPDCBeanV4> type;
    @JsonProperty("codedInterpretation")
    private List<SPDCBeanV4> codedInterpretation;
    @JsonProperty("interpretation")
    private String interpretation;
    @JsonProperty("organisms")
    private List<SPDCBeanV4> organisms;
    @JsonProperty("certifiedDate")
    private DateRangeV4 certifiedDate;
    @JsonProperty("test")
    private List<SPDCBeanV4> test;
    @JsonProperty("location")
    private RepositoryV4 location; // used by AP, could eventually be "performingLocation"
    @JsonProperty("performingLabLocation")
    private ProviderV4 performingLabLocation;
    @JsonProperty("referenceRange")
    private String referenceRange;
    @JsonProperty("result")
    private String result;
    @JsonProperty("comment")
    private String comment;
    @JsonProperty("status")
    private List<SPDCBeanV4> status;
    @JsonProperty("units")
    private List<SPDCBeanV4> units;
    @JsonProperty("relatedCodes")
    @JsonDeserialize(using = SPDCListDeserializer.class)
    private List<SPDCWrapperV4> relatedCodes;  //used by AP
    @JsonProperty("specimens")
    private List<String> specimens; //used by AP

    public DateRangeV4 getCertifiedDate() {
        return certifiedDate;
    }

    public void setCertifiedDate(DateRangeV4 certifiedDate) {
        this.certifiedDate = certifiedDate;
    }

    public List<SPDCBeanV4> getTest() {
        return test;
    }

    public void setTest(List<SPDCBeanV4> test) {
        this.test = test;
    }

    public String getReferenceRange() {
        return referenceRange;
    }

    public void setReferenceRange(String referenceRange) {
        this.referenceRange = referenceRange;
    }

    public String getResult() {
        return result;
    }

    public void setResult(String result) {
        this.result = result;
    }

    public String getComment() {
        return comment;
    }

    public void setComment(String comment) {
        this.comment = comment;
    }

    public List<SPDCBeanV4> getStatus() {
        return status;
    }

    public void setStatus(List<SPDCBeanV4> status) {
        this.status = status;
    }

    public List<SPDCBeanV4> getUnits() {
        return units;
    }

    public void setUnits(List<SPDCBeanV4> units) {
        this.units = units;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public List<SPDCBeanV4> getType() {
        return type;
    }

    public void setType(List<SPDCBeanV4> type) {
        this.type = type;
    }

    public List<SPDCBeanV4> getOrganisms() {
        return organisms;
    }

    public void setOrganisms(List<SPDCBeanV4> organisms) {
        this.organisms = organisms;
    }

    public ProviderV4 getPerformingLabLocation() {
        return performingLabLocation;
    }

    public void setPerformingLabLocation(ProviderV4 performingLabLocation) {
        this.performingLabLocation = performingLabLocation;
    }

    public List<SPDCBeanV4> getCodedInterpretation() {
        return codedInterpretation;
    }

    public void setCodedInterpretation(List<SPDCBeanV4> codedInterpretation) {
        this.codedInterpretation = codedInterpretation;
    }

    public String getInterpretation() {
        return interpretation;
    }

    public void setInterpretation(String interpretation) {
        this.interpretation = interpretation;
    }

    public ProviderV4 getCertifiedBy() {
        return certifiedBy;
    }

    public void setCertifiedBy(ProviderV4 certifiedBy) {
        this.certifiedBy = certifiedBy;
    }

    public RepositoryV4 getLocation() {
        return location;
    }

    public void setLocation(RepositoryV4 location) {
        this.location = location;
    }

    public List<SPDCWrapperV4> getRelatedCodes() {
        return relatedCodes;
    }

    public void setRelatedCodes(List<SPDCWrapperV4> relatedCodes) {
        this.relatedCodes = relatedCodes;
    }

    public List<String> getSpecimens() {
        return specimens;
    }

    public void setSpecimens(List<String> specimens) {
        this.specimens = specimens;
    }
}

