package gov.va.med.bhie.beans.v4;

import com.fasterxml.jackson.core.JsonParser;
import com.fasterxml.jackson.databind.DeserializationContext;
import com.fasterxml.jackson.databind.JsonDeserializer;
import com.fasterxml.jackson.databind.JsonNode;
import com.fasterxml.jackson.databind.ObjectMapper;

import java.io.IOException;
import java.util.ArrayList;
import java.util.List;

/**
 * Created by melcolm on 6/18/15.
 */
public class SPDCListDeserializer extends JsonDeserializer<List<SPDCWrapperV4>> {

    @Override
    public List<SPDCWrapperV4> deserialize(JsonParser jsonParser,
                                           DeserializationContext deserializationContext) throws IOException {

        List<SPDCWrapperV4> qualifiersList = new ArrayList<SPDCWrapperV4>();
        ObjectMapper mapper = new ObjectMapper();
        JsonNode node = mapper.readTree(jsonParser);
        for (JsonNode qualifiers : node) {
            SPDCWrapperV4 qualifierList = new SPDCWrapperV4();
            List<SPDCBeanV4> spdcList = new ArrayList<SPDCBeanV4>();
            for (JsonNode spdc : qualifiers) {
                spdcList.add(mapper.convertValue(spdc, SPDCBeanV4.class));
            }
            qualifierList.setSpdcList(spdcList);
            qualifiersList.add(qualifierList);
        }
        //List<SPDCBeanV4> spdcList = mapper.convertValue(node.findValues(""), new TypeReference<List<SPDCBeanV4>>() {});
        return qualifiersList;
    }
}