/**
 * Janus 4.0 (c)
 * Copyright (c) 2011 Hawaii Resource Group LLC. All Rights Reserved.
 * Developed for the Pacific Telehealth & Technology Hui and the Pacific Joint Information Technology Center
 * Contributors:
 *     Honorable Senator Daniel K. Inouye
 *     VA Pacific Islands Health Care System
 *     Tripler Army Medical Center
 */
 
 
package gov.va.med.bhie.dao;


import gov.va.med.bhie.beans.QueryBean;
import gov.va.med.bhie.common.AppConfig;
import gov.va.med.foundations.utilities.SSLDebugUtilities;

import java.security.InvalidParameterException;

/**
 * Data access object abstract base class.
 */
public class DaoBase {
    static {
        if (AppConfig.getInstance().getDebugTrustAllSslHostnamesAndCerts()) {
            SSLDebugUtilities.trustAllHostnames();
            SSLDebugUtilities.trustAllHttpsCertificates();
        }
    }

    /**
     * Throws an InvalidParameterException if query values are missing.
     * @param qbean QueryBean to check.
     */
    protected void checkQueryParameters(QueryBean qbean) {
        if (qbean.getUserId() == null || qbean.getUserId().isEmpty()) {
            throw new InvalidParameterException("Missing parameter: userid");
        }
        if (qbean.getPatientId() == null || qbean.getPatientId().isEmpty()) {
            throw new InvalidParameterException("Missing parameter: patientId");
        }
    }
}
