package gov.va.med.bhie.groups;

import net.sf.ehcache.CacheManager;
import net.sf.ehcache.Ehcache;
import net.sf.ehcache.Element;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import java.util.Map;

/**
 * Created by melcolm on 9/15/16.
 */
public class Groups {
    private static final Logger LOGGER = LoggerFactory.getLogger(Groups.class);

    private static final Groups INSTANCE = new Groups();
    private static final String CACHE_KEY_GROUP_MAP = "groupMap";

    private Ehcache cache;

    private Groups(){
        this.cache = CacheManager.getInstance().getCache("groups");
    }

    public static final Groups getInstance() {
        return INSTANCE;
    }

    public Ehcache getCache() {
        return cache;
    }

    public boolean roleExists(String key) {
        boolean retVal = false;

        if(cache.get(key) != null){
            retVal = true;
        }
        return retVal;
    }

    public void addRole(String key, boolean value){
        this.cache.put(new Element(key, value));
    }

    public boolean isAllowed(String roleName){
        if(cache.get(roleName) != null) {
            try{
                LOGGER.debug("Groups: role in cache isAllowed? : " + ((Boolean) cache.get(roleName).getObjectValue()).booleanValue());
                return ((Boolean) cache.get(roleName).getObjectValue()).booleanValue();
            } catch (Exception e){
                return false;
            }
        } else {
            LOGGER.debug("Groups: role doesn't exist in cache: " + roleName);
            return false;
        }
    }
}
