/**
 * Janus 4.0 (c)
 * Copyright (c) 2011 Hawaii Resource Group LLC. All Rights Reserved.
 * Developed for the Pacific Telehealth & Technology Hui and the Pacific Joint Information Technology Center
 * Contributors:
 *     Honorable Senator Daniel K. Inouye
 *     VA Pacific Islands Health Care System
 *     Tripler Army Medical Center
 */


package gov.va.med.bhie.patient;

import gov.va.med.bhie.BaseTest;
import gov.va.med.bhie.beans.NoteImage;
import gov.va.med.bhie.common.ClinicalDomainLoincCode;
import gov.va.med.bhie.dao.DaoException;
import gov.va.med.bhie.dao.patient.NoteDao;
import gov.va.med.bhie.dao.patient.V4Dao;
import gov.va.med.bhie.resultcollection.V4ResultCollection;
import org.junit.Test;

import static org.junit.Assert.assertTrue;

public class NoteDaoTest extends BaseTest
{
    @Test
    public void testGetPatientNotes() throws DaoException {

//        NoteDao noteDao = new NoteDao();
//        NoteResultCollectionV3 noteResults = noteDao.getPatientNotesV3(queryBean);
//
//        //long stime = logRequest(queryBean);
//        String token = "";
//        try {
//            NoteResultCollectionV3 rtc;
//            int count = 0;
//            //rtc = BHIELimit.getInstance().getPatientNotesCache(queryBean);
//            //if (rtc == null) {
//            //    token = BHIELimit.getInstance().getToken();
//                rtc = noteDao.getPatientNotesV3(queryBean);
//            //    if (rtc != null && rtc.getDataRecordList() != null) {
//            //        count = rtc.getDataRecordList().size();
//            //    }
//             //   logResponse(queryBean, "", rtc, count, stime, "false");
//             //   BHIELimit.getInstance().putPatientNotesCache(queryBean, rtc);
//            //} else {
//             //   logResponse(queryBean, "", rtc, rtc.getDataRecordList().size(), stime, "true");
//            //}
//           // return rtc;
//        } catch (Exception e) {
//            //logResponse(queryBean, e.getLocalizedMessage(), null, 0, stime, "false");
//            throw new RuntimeException(e);
//        } finally {
//            BHIELimit.getInstance().releaseToken(token);
//        }
//
//        assertTrue(noteResults.getDataRecordList().size() > 0);
    }

    @Test
    public void testGetPatientNotesV4() throws DaoException {
        V4Dao v4Dao = new V4Dao();
        V4ResultCollection v4Results = v4Dao.getV4Data(ClinicalDomainLoincCode.NOTES, queryBean);
        assertTrue(v4Results.getDataRecordList().getAllergy().size() > 0);
    }

    @Test
    public void testGetEncounterNotes() throws DaoException {

        NoteDao noteDao = new NoteDao();
//        NoteResultCollectionV3 noteResults = noteDao.getEncounterNotesV3(queryBean);
//        assertTrue(noteResults.getDataRecordList().size() > 0);
    }

    @Test
    public void testGetNoteImage() throws DaoException {

        NoteDao noteDao = new NoteDao();
        NoteImage response = noteDao.getNoteImage("2152865787");
        assertTrue(response.getNoteBytes().length > 0);
    }

    @Test
    public void testGetNoteImageFromUrl() throws DaoException {

        NoteDao noteDao = new NoteDao();
        IllegalArgumentException iae = null;
        try
        {
            NoteImage ni = noteDao.getNoteImageFromUrl("http://IP          /MockDoDAdaptor/async/complex/note/2157565489");
            ni.getContentType();
        }
        catch (IllegalArgumentException e)
        {
            iae = e;
        }

        assertTrue(iae != null);

        iae = null;

        try
        {
            noteDao.getNoteImageFromUrl("http://BHIEdomain/async/comet?loinc=1234&userid=12345");
        }
        catch (IllegalArgumentException e)
        {
            iae = e;
        }

        assertTrue(iae != null);

        iae = null;

        NoteImage response = noteDao.getNoteImageFromUrl("http://BHIEdomain:8080/async/complex/note/2157580439");
        assertTrue(response.getNoteBytes().length > 0);
    }


//    @Test
//    public void testGetPatientConsults() throws DaoException {
//
//        NoteDao noteDao = new NoteDao();
//        NoteResultCollectionV3 noteResults = noteDao.getPatientConsultsV3(queryBean);
//        assertTrue(noteResults.getDataRecordList().size() > 0);
//    }
}
