/**
 * Janus 4.0 (c)
 * Copyright (c) 2011 Hawaii Resource Group LLC. All Rights Reserved.
 * Developed for the Pacific Telehealth & Technology Hui and the Pacific Joint Information Technology Center
 * Contributors:
 *     Honorable Senator Daniel K. Inouye
 *     VA Pacific Islands Health Care System
 *     Tripler Army Medical Center
 */
 
 
/**
 * Janus 4.0 (c)
 * Copyright (c) 2011 Hawaii Resource Group LLC. All Rights Reserved.
 * Developed for Pacific Telehealth & Technology Hui/JITC
 */

package gov.va.med.foundations.utilities;

/**
 * Represents the interface that all Foundations exceptions implement.
 * Implementing this interface allows ExceptionUtils to work with
 * the exception. 
 * @author Application Modernization - Foundations Team
 * @version 1.4.3.007
 */
public interface FoundationsExceptionInterface {

	/**
	 * Return full stack trace. Full stack trace will include all nested exception
	 * messages and the full stack trace for the root exception.
	 * 
	 * @return full stack trace String
	 */
	public String getFullStackTrace();
	
	/**
	 * Return nested exception that is wrapped within this exception.
	 * @return nested exception
	 */
	public Throwable getNestedException();

}
