/**
 * Janus 4.0 (c)
 * Copyright (c) 2011 Hawaii Resource Group LLC. All Rights Reserved.
 * Developed for the Pacific Telehealth & Technology Hui and the Pacific Joint Information Technology Center
 * Contributors:
 *     Honorable Senator Daniel K. Inouye
 *     VA Pacific Islands Health Care System
 *     Tripler Army Medical Center
 */
 
 
/**
 * Janus 4.0 (c)
 * Copyright (c) 2011 Hawaii Resource Group LLC. All Rights Reserved.
 * Developed for Pacific Telehealth & Technology Hui/JITC
 */

/*
 * Created on Jul 18, 2003
 *
 * To change the template for this generated file go to
 * Window>Preferences>Java>Code Generation>Code and Comments
 */
package gov.va.med.foundations.utilities;

import org.apache.log4j.Logger;

import javax.naming.Context;
import javax.naming.NamingException;
import javax.naming.directory.*;
import java.util.Hashtable;

/**
 * @author vhaisakilmam
 *
 * To change the template for this generated type comment go to
 * Window>Preferences>Java>Code Generation>Code and Comments
 */
public class LdapUtilities {

	/**
	 * The logger used by this class
	 */
	private static final Logger logger = Logger.getLogger(LdapUtilities.class);

	// Initial context implementation
	public static final String INIT_CONTEXT = "com.sun.jndi.ldap.LdapCtxFactory";

	/**
	 * 
	 */
	protected LdapUtilities() {
		super();
		// TODO Auto-generated constructor stub
	}

	public static String getOidReplicaId(String oidHostUrl)
		throws FoundationsException {
		return LdapUtilities.getAttributeValue(oidHostUrl, "", "orclreplicaid");
	}

	public static String getAttributeValue(
		String oidHostUrl,
		String location,
		String attrName)
		throws FoundationsException {
		{
			String attrValue = "";

			try {

				// Hashtable for environmental information
				Hashtable<String, String> env = new Hashtable<String, String>();

				// Specify which class to use for our JNDI provider
				env.put(Context.INITIAL_CONTEXT_FACTORY, INIT_CONTEXT);

				// Specify host and port to use for directory service
				env.put(Context.PROVIDER_URL, oidHostUrl);

				// Get a reference to a directory context
				DirContext ctx = new InitialDirContext(env);

				SearchControls constraints = null;
				Attributes attrs =
					ctx.getAttributes(location, new String[] { attrName });

				if (attrs != null) {
					Attribute attr = attrs.get(attrName);
					if (attr != null) {
						attrValue = attr.get().toString();
					} else {
						attrValue = "";
					}
				} else {
					attrValue = "";
				}
			} catch (NamingException e) {
				StringBuffer errStr =
					new StringBuffer().append(
						"Error trying read " + attrName + " at ").append(
						oidHostUrl);

				if (logger.isDebugEnabled()) {
					logger.debug(errStr);
				}
				throw new FoundationsException(errStr.toString(), e);
			}

			return attrValue;
		}

	}

}
