/* add console object for IE8 */
if (!window.console) {
    window.console = {
        log: function () {
        },
        warn: function () {

        },
        error: function () {

        },
        info: function () {

        }
    };
}

//add in trim for IE8
if (typeof String.prototype.trim !== 'function') {
    String.prototype.trim = function () {
        return this.replace(/^\s+|\s+$/g, '');
    };
}


/* String format */
if (!String.format) {
    String.format = function (format) {
        var args = Array.prototype.slice.call(arguments, 1);
        return format.replace(/{(\d+)}/g, function (match, number) {
            return typeof args[number] !== 'undefined'
                ? args[number]
                : match
                ;
        });
    };
}

String.prototype.replaceAll = function (search, replacement) {
    var target = this;
    return target.replace(new RegExp(search, 'g'), replacement);
};


/* not secure -- do not use for security */

String.prototype.hashCode = function () {
    return this.replace(/\s/g, "").split("").reduce(function (a, b) {
        a = ((a << 5) - a) + b.charCodeAt(0);
        return a & a
    }, 0);
};