//= require ./PatientWidgetWindow.js

JLV.PatientAppointmentsWidgetWindow = JLV.PatientWidgetWindow.extend({
    options: {
        name: 'Appointments',
        dateFilter: true,
        filter: true,
        status: true,
        clipboard: true,
        print: true,
        refresh: true,
        filters: ['clinic', 'taxonomy'],
        columns: [
            {
                title: 'Scheduled<br/>Date/Time',
                id: 'appointmentDate',
                formatter: function (value, model) {
                    if (model && model.get('recordDetailsToken')) {
                        return JLV.common.linkDateFormatter(value, model, 'MMM DD, YYYY HH:mm');
                    }
                    else {
                        return JLV.common.dateFormatter(value, model, 'MMM DD, YYYY HH:mm');
                    }
                },
                sortable: true,
                width: 80
            },
            {
                title: 'Clinic',
                id: 'clinic',
                width: 80,
                sortable: true

            },
            /*{
                title: 'Status',
                id: 'status',
                width: 80,
                sortable: true

            },*/
            {
                title: 'Provider',
                id: 'providerName',
                width: 100,
                sortable: true,
                sorter: JLV.common.linkTextSorter,
                tooltip: function (row, model) {

                    if (model) {

                        try {
                            return _.template('<b>National Uniform Claim Committee -<br/>' +
                                'Taxonomy<br/>' +
                                '(NUCC)</b><br/>' +
                                'NUCC Taxonomy Description: {{-taxonomy}}<br/>' +
                                'NUCC Taxonomy Code: {{-taxonomyCode}}<br/>' +
                                '<b>Provider Address: </b>{{-provider.street1}} {{-provider.street2}} {{-provider.street3}}' +
                                '{{-provider.city}}, {{-provider.stateProvince}} {{-provider.postalCode}} <br/>' +
                                '<b>Provider Phone: </b> {{-provider.phone}}'
                            )(model.toJSON());
                        } catch (e) {

                        }
                    }
                }
            },
            {
                title: 'Provider Specialty',
                id: 'taxonomy',
                width: 100,
                sortable: true,
                sorter: JLV.common.linkTextSorter,
                tooltip: function (row, model) {

                    if (model) {
                        try {
                            return _.template('<b>National Uniform Claim Committee -<br/>' +
                                'Taxonomy<br/>' +
                                '(NUCC)</b><br/>' +
                                'NUCC Taxonomy Description: {{-taxonomy}}<br/>' +
                                'NUCC Taxonomy Code: {{-taxonomyCode}}<br/>' +
                                '<b>Provider Address: </b>{{-provider.street1}} {{-provider.street2}} {{-provider.street3}}' +
                                '{{-provider.city}}, {{-provider.stateProvince}} {{-provider.postalCode}} <br/>' +
                                '<b>Provider Phone: </b> {{-provider.phone}}'
                            )(model.toJSON());
                        } catch (e) {
                            console.info('template error');
                        }
                    }
                }
            },
            {
                title: 'Appointment<br/>Status',
                id: 'status',
                width: 80,
                sortable: true,
                sorter: JLV.common.linkTextSorter,
                formatter: function (value, model) {
                    var txt = '';

                    if (model && model.get('status')) {
                        txt = model.get('status');
                    }

                    //if status is 'cancel', then we'll displays statusReason.
                    if (model && (model.get('site').agency === JLV.common.AGENCY_DOD ||
                        model.get('site').agency === JLV.common.AGENCY_DOD_VLER)) {
                        if (txt.toLowerCase().indexOf('cancel') > -1 &&
                            model && model.get('statusReason')) {
                            txt = model.get('statusReason');
                        }
                    }


                    return txt;
                }

            },
            {
                id: 'type',
                width: 60,
                title: 'Type',
                sortable: true

            },
            {
                title: 'Reason',
                width: 175,
                sortable: true,
                id: 'reason'
            },
            {
                title: 'Site',
                id: 'site',
                sorter: JLV.common.siteSorter,
                width: 60,
                formatter: JLV.common.formatSiteMonikerDisplay
            }
        ],
        defaultSort: {
            id: 'appointmentDate',
            asc: false
        }
    }/*,
    toggleFilterPanel: function () {
        if (!this._filterPanel) {

            var filterIds = this.get('filters');
            var filters = _.toArray(_.pick(_.indexBy(this.get('columns'), 'id'), filterIds));

            var data = this.get('data');

            if (data) {
                if (data.startDate !== undefined && data.endDate !== undefined) {
                    this._filterPanel = new JLV.WidgetWindow.AppointmentsFilterPanel({
                        window: this,
                        startDate: data.startDate.toDate(),
                        endDate: data.endDate.toDate(),
                        filters: filters,
                        data: data
                    });

                    this._filterPanel.$el.appendTo(this._body);
                    this._filterPanel.$el.hide();
                }
            }
        }

        this._super();
     } */
});

