//= require ./PatientWidgetWindow.js

JLV.PatientClinicalRemindersWidgetWindow = JLV.PatientWidgetWindow.extend({
    options: {
        name: 'Clinical Reminders - VA Only',
        filter: true,
        status: true,
        clipboard: true,
        print: true,
        refresh: true,
        filters: ['site'],
        columns: [
            {
                title: 'Due',
                id: 'dueDate',
                formatter: JLV.common.dateFormatter,
                sortable: true,
                width: 80,
                formatter: function (value, model) {
                    if (model.get('dueDateString') === 'DUE NOW') {
                        return model.get('dueDateString');
                    }

                    return JLV.common.dateFormatter(value, model, 'MMM DD, YYYY');
                }
            },
            {
                title: 'Last Done',
                id: 'lastDate',
                formatter: JLV.common.dateFormatter,
                width: 100,
                sortable: true

            },
            {
                title: 'Reminder',
                id: 'reminder',
                width: 200,
                sortable: true,
                sorter: JLV.common.linkTextSorter,
                formatter: function (value, model) {
                    if (model && model.get('recordDetailsToken')) {
                        return JLV.common.linkFormatter(value, model);
                    }
                    else {
                        return value;
                    }
                }
            },
            {
                title: 'Site',
                id: 'site',
                sorter: JLV.common.siteSorter,
                width: 60,
                formatter: JLV.common.formatSiteMonikerDisplay
            }
        ],
        defaultSort: {
            id: 'dueDate',
            asc: false
        }
    }
});
