//= require ./PatientWidgetWindow.js

JLV.PatientHistoriesWidgetWindow = JLV.PatientWidgetWindow.extend({
    options: {
        name: 'Social, Family, and Other Past Histories',
        filter: true,
        dateFilter: false,
        status: true,
        clipboard: true,
        print: true,
        refresh: true,
        filters: ['type', 'normDisplay'],
        columns: [
            {
                width: 80,
                title: 'Date Reported',
                sortable: true,
                id: 'dateReported',
                formatter: JLV.common.dateFormatter
            },
            {
                id: 'type',
                width: 80,
                title: 'Type'
                // ,
                // tooltip: function (row, model) {
                //     if (model) {
                //         var normCode = model.get('normCode'),
                //             normDisplay = model.get('normDisplay');
                //
                //         if (normCode) {
                //             return '<b>Systematized Nomenclature<br/>' +
                //                 'of Medicine - Clinical Terms<br/>' +
                //                 '(SNOMED CT)</b><br/>' +
                //                 'Standardized Name: ' + normDisplay + '<br/>' +
                //                 'Standardized Code: ' + normCode;
                //         }
                //     }
                //
                //     return '<b>Systematized Nomenclature<br/>' +
                //         'of Medicine - Clinical Terms<br/>' +
                //         '(SNOMED CT)</b><br/>' +
                //         'Standardized Name: none<br/>' +
                //         'Standardized Code: none';
                // }
            },
            {
                width: 150,
                title: 'Findings',
                sortable: true,
                sorter: JLV.common.linkTextSorter,
                id: 'findingList'
                // ,
                // tooltip: function (row, model) {
                //    if (model) {
                //        var normCode = model.get('normCode'),
                //            normDisplay = model.get('normDisplay');
                //
                //        if (normCode) {
                //            return '<b>Systematized Nomenclature<br/>' +
                //                'of Medicine - Clinical Terms<br/>' +
                //                '(SNOMED CT)</b><br/>' +
                //                'Standardized Name: ' + normDisplay + '<br/>' +
                //                'Standardized Code: ' + normCode;
                //        }
                //    }
                //
                //    return '<b>Systematized Nomenclature<br/>' +
                //        'of Medicine - Clinical Terms<br/>' +
                //        '(SNOMED CT)</b><br/>' +
                //        'Standardized Name: none<br/>' +
                //        'Standardized Code: none';
                // }
            },
            {
                width: 180,
                id: '',
                title: 'Standardized Findings',
                sortable: true,
                sorter: JLV.common.linkTextSorter
                // ,
                // tooltip: function (row, model) {
                //    if (model) {
                //        var normCode = model.get('normCode'),
                //            normDisplay = model.get('normDisplay');
                //
                //        if (normCode) {
                //            return '<b>Systematized Nomenclature<br/>' +
                //                'of Medicine - Clinical Terms<br/>' +
                //                '(SNOMED CT)</b><br/>' +
                //                'Standardized Name: ' + normDisplay + '<br/>' +
                //                'Standardized Code: ' + normCode;
                //        }
                //    }
                //
                //    return '<b>Systematized Nomenclature<br/>' +
                //        'of Medicine - Clinical Terms<br/>' +
                //        '(SNOMED CT)</b><br/>' +
                //        'Standardized Name: none<br/>' +
                //        'Standardized Code: none';
                // }
            },
            {
                width: 80,
                title: 'Comments',
                sortable: true,
                sorter: JLV.common.linkTextSorter,
                id: 'commentList'
            },
            {
                title: 'Status',
                width: 40,
                sortable: true,
                sorter: JLV.common.linkTextSorter,
                id: 'status'
            },
            {
                title: 'Site',
                id: 'site',
                width: 35,
                sortable: true,
                sorter: JLV.common.siteSorter,
                formatter: JLV.common.formatSiteMonikerDisplay
            }
        ],
        defaultSort: {
            id: 'dateReported',
            asc: false
        }
    }

});