//= require ./PatientWidgetWindow.js

JLV.PatientLabsWidgetWindow = JLV.PatientWidgetWindow.extend({
    options: {
        name: 'Lab Panel Results',
        filter: true,
        dateFilter: true,
        status: true,
        clipboard: true,
        print: true,
        refresh: true,
        filters: ['testName'],
        gridHeaderHeight: 30,
        columns: [
            {
                title: 'Collection<br/>Date',
                id: 'collectionDate',
                width: 150,
                formatter: function (value, model) {
                    return JLV.common.dateFormatter(value, model, 'MMM DD, YYYY HH:mm');
                },
                sortable: true
            },
            {
                title: 'Order<br/>Number',
                id: 'orderId',
                width: 130,
                sortable: true
            },
            {
                title: 'Order /<br/>Results',
                id: 'testName',
                width: 130,
                sortable: true,
                sorter: JLV.common.linkTextSorter,
                formatter: function (value, model) {
                    if (model && (model.get('labResults') || model.get('sensitive'))) {
                        return JLV.common.linkFormatter(value, model);
                    }
                    else {
                        return value;
                    }
                }
            },
            {
                width: 160,
                title: 'Ordering HCP',
                sortable: true,
                sorter: JLV.common.linkTextSorter,
                id: 'providerName',
                tooltip: function (row, model) {

                    if (model) {
                        try {
                            return _.template('<b>National Uniform Claim Committee -<br/>' +
                                'Taxonomy<br/>' +
                                '(NUCC)</b><br/>' +
                                'NUCC Taxonomy Description:' +
                                '{[ if (obj.taxonomy) { ]}' +
                                '{{-taxonomy}}' +
                                '{[ } ]}' +
                                '<br/>NUCC Taxonomy Code: ' +
                                '{[ if (obj.taxonomyCode) { ]}' +
                                '{{-taxonomyCode}}' +
                                '{[ } ]}' +
                                '<br/>Requesting Location: {{-requestingLocation}}' //+
                                //'<b>Provider Address: </b>{{-provider.street1}} {{-provider.street2}} {{-provider.street3}}' +
                                //'{{-provider.city}}, {{-provider.stateProvince}} {{-provider.postalCode}} <br/>' +
                                // '<b>Provider Phone: </b> {{-provider.phone}}'
                            )(model.toJSON());
                        } catch (e) {
                            console.info('template error');
                        }
                    }
                }
            },
            {
                width: 150,
                title: 'Ordering HCP <br/> Specialty',
                sortable: true,
                sorter: JLV.common.linkTextSorter,
                id: 'taxonomy',
                tooltip: function (row, model) {

                    if (model) {
                        try {
                            return _.template('<b>National Uniform Claim Committee -<br/>' +
                                'Taxonomy<br/>' +
                                '(NUCC)</b><br/>' +
                                'NUCC Taxonomy Description:' +
                                '{[ if (obj.taxonomy) { ]}' +
                                '{{-taxonomy}}' +
                                '{[ } ]}' +
                                '<br/>NUCC Taxonomy Code: ' +
                                '{[ if (obj.taxonomyCode) { ]}' +
                                '{{-taxonomyCode}}' +
                                '{[ } ]}' +
                                '<br/>Requesting Location: {{-requestingLocation}}' //+
                                //'<b>Provider Address: </b>{{-provider.street1}} {{-provider.street2}} {{-provider.street3}}' +
                                //'{{-provider.city}}, {{-provider.stateProvince}} {{-provider.postalCode}} <br/>' +
                                // '<b>Provider Phone: </b> {{-provider.phone}}'
                            )(model.toJSON());
                        } catch (e) {
                            console.info('template error');
                        }
                    }
                }
            },
            {
                title: 'Sample',
                id: 'sample',
                width: 120,
                sortable: true
            },
            /* {
                title: 'Quantity',
                id: 'quantity',
                width: 120,
                sortable: true
            },
            {
                title: 'Abnormal <br/> Indicators',
                id: 'abnormalIndicators',
                width: 150,
                sortable: true
             },*/
            {
                title: 'Status',
                id: 'labOrderStatus',
                width: 100,
                sortable: true
            },
            {
                title: 'Site',
                id: 'site',
                width: 60,
                sorter: JLV.common.siteSorter,
                formatter: JLV.common.formatSiteMonikerDisplay
            }
        ],
        defaultSort: {
            id: 'collectionDate',
            asc: false
        }
    }


});