//= require ./PatientWidgetWindow.js

JLV.PatientQuestionnairesWidgetWindow = JLV.PatientWidgetWindow.extend({
    options: {
        name: 'Questionnaires and Deployment Assessments - AHLTA Only',
        width: 800,
        filter: false,
        dateFilter: false,
        status: true,
        clipboard: true,
        print: true,
        refresh: true,
        columns: [
            {
                title: 'Date',
                id: 'formDate',
                formatter: JLV.common.dateFormatter,
                sortable: true,
                width: 100
            },
            {
                id: 'enteredBy',
                title: 'Entered By',
                width: 150,
                sortable: true,
                sorter: JLV.common.linkTextSorter,
            },
            {
                title: 'Document Title',
                id: 'documentTitle',
                width: 180,
                sortable: true,
                sorter: JLV.common.linkTextSorter,
                formatter: function (value, model) {
                    if (!model || value === 'Connection unavailable.' || !model.get('recordDetailsToken')) {
                        return value;
                    }

                    return JLV.common.linkFormatter(value, model);
                },
                tooltip: function (row, model) {
                    if (model) {
                        var normCode = model.get('normCode'),
                            normDisplay = model.get('normDisplay');

                        if (normCode) {
                            return '<b>Logical Observation Identifiers<br/>' +
                                'Names and Codes<br/>' +
                                '(LOINC)</b><br/>' +
                                'Standardized Name: ' + normDisplay + '<br/>' +
                                'Standardized Code: ' + normCode;
                        }

                    }

                    return '<b>Logical Observation Identifiers<br/>' +
                        'Names and Codes<br/>' +
                        '(LOINC)</b><br/>' +
                        'Standardized Name: none<br/>' +
                        'Standardized Code: none';
                }
            },
            {
                title: 'Standardized Document Title',
                id: 'normDisplay',
                width: 180,
                sortable: true,
                sorter: JLV.common.linkTextSorter,
                tooltip: function (row, model) {
                    if (model) {
                        var normCode = model.get('normCode'),
                            normDisplay = model.get('normDisplay');

                        if (normCode) {
                            return '<b>Logical Observation Identifiers<br/>' +
                                'Names and Codes<br/>' +
                                '(LOINC)</b><br/>' +
                                'Standardized Name: ' + normDisplay + '<br/>' +
                                'Standardized Code: ' + normCode;
                        }

                    }

                    return '<b>Logical Observation Identifiers<br/>' +
                        'Names and Codes<br/>' +
                        '(LOINC)</b><br/>' +
                        'Standardized Name: none<br/>' +
                        'Standardized Code: none';
                }
            },
            {
                title: 'Site',
                id: 'site',
                sorter: JLV.common.siteSorter,
                width: 60,
                formatter: JLV.common.formatSiteMonikerDisplay
            }
        ],
        defaultSort: {
            id: 'formDate',
            asc: false
        }
    }
});