/*
 * Janus 4.0 (c)
 * Copyright (c) 2011 Hawaii Resource Group LLC. All Rights Reserved.
 * Developed for the Pacific Telehealth & Technology Hui and the Pacific Joint Information Technology Center
 * Contributors:
 *             Honorable Senator Daniel K. Inouye
 *             VA Pacific Islands Health Care System
 *             Tripler Army Medical Center
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License.
 *
 * You may obtain a copy of the License at:
 *
 *            http://www.apache.org/licenses/LICENSE-2.0.txt
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and limitations under the License.
 */


package jlv

import gov.va.med.common.HttpKeys
import gov.va.med.vhahon.common.Utils

class ProviderAppointmentsController extends BaseController {
    def appointmentDao

    static allowedMethods = [list: 'POST']

    def beforeInterceptor = {

        if (session.appUser == null) {
            response.sendError 500
            return false;
        }

        dateRangeCheck();
    }

    def list = {

        def guiAppts = appointmentDao.getProviderAppointments(
                session.appUser,
                Utils.getCal(request[HttpKeys.START_DATE]),
                Utils.getCal(request[HttpKeys.END_DATE]),
                session.appUser.securityKey)

//        //generate record details token
//        if (guiAppts != null)
//        {
//            for(def guiAppt : guiAppts)
//            {
//                if (StringUtils.isNotEmpty(guiAppt.getAppointmentId()))
//                {
//                    def queryMap = [(HttpKeys.APPOINTMENT_ID): guiAppt.getAppointmentId()]
//                    guiAppt.setRecordDetailsToken(
//                        generateRecordDetailsToken(
//                            guiAppt.getPatientToken(),
//                            "patientAppointments",
//                            queryMap,
//                            guiAppt.getSite(), guiAppt.getSourceProtocol(),
//                            false))
//                }
//               if (grailsApplication.config.scramble=="true"){
//                    guiAppt.setPatientName(Demo.scramble(guiAppt.patientName));
//                }
//            }
//        }

        sendResponse(guiAppts)
    }
}
