/*
 * Janus 4.0 (c)
 * Copyright (c) 2011 Hawaii Resource Group LLC. All Rights Reserved.
 * Developed for the Pacific Telehealth & Technology Hui and the Pacific Joint Information Technology Center
 * Contributors:
 *             Honorable Senator Daniel K. Inouye
 *             VA Pacific Islands Health Care System
 *             Tripler Army Medical Center
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License.
 *
 * You may obtain a copy of the License at:
 *
 *            http://www.apache.org/licenses/LICENSE-2.0.txt
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and limitations under the License.
 */


package jlv

import gov.va.med.common.HttpKeys
import gov.va.med.vhahon.common.Utils

class ProviderConsultsRequestedController extends BaseController {
    def noteDao

    static allowedMethods = [list: 'POST']

    def beforeInterceptor = {

        if (session.appUser == null) {
            response.sendError 500
            return false;
        }

        dateRangeCheck();
    }

    def list = {

        def guiConsults = noteDao.getProviderConsultsRequested(
                session.appUser,
                Utils.getCal(request[HttpKeys.START_DATE]),
                Utils.getCal(request[HttpKeys.END_DATE]),
                session.appUser.securityKey)

//        //generate record details token
//        if (guiConsults != null)
//        {
//            for(def guiConsult : guiConsults)
//            {
//                if (StringUtils.isNotEmpty(guiConsult.getConsultId()))
//                {
//                    def queryMap = [(HttpKeys.CONSULT_ID): guiConsult.getConsultId()]
//
//                    guiConsult.setRecordDetailsToken(
//                        generateRecordDetailsToken(
//                            guiConsult.getPatientToken(),
//                            "patientConsults",
//                            queryMap,
//                            guiConsult.getSite(),
//                            guiConsult.getSourceProtocol(),
//                            guiConsult.isSessionCachedRecord()))
//
//                    if (guiConsult.isSessionCachedRecord())
//                    {
//                        //cache consult report in session
//                        def consultDetail = BeanUtils.cloneBean(guiConsult)
//
//                        session.appUser.consultMap.put(
//                            getCachedRecordKey(guiConsult.getRecordDetailsToken()), consultDetail)
//
//						//don't send report text with note listings
//                        guiConsult.setReport("")
//                    }
//                }
//                if (grailsApplication.config.scramble=="true"){
//                    guiConsult.setPatientName(Demo.scramble(guiConsult.patientName));
//                }
//            }
//        }

        sendResponse(guiConsults)
    }
}
