<!-- patient search dialog -->
<div id="PatientSearchDialog" class="appkit-dialog"
     data-title="Patient Search"
     data-visible="false"
     data-resizable="false"
     data-width="700"
     data-height="580"
     data-modal="false"
     data-delegate="JLV.PatientSearch.Controller"
     data-outlet="JLV.PatientSearch.Controller.dialog">

    <div class="appkit-form" data-action="JLV.PatientSearch.Controller.onSearch">

        <div class="table" id="PatientSearchEDIPIBlock">
            <div class="tr" style="height:50px;">
                <div class="td label-cell">
                    <label id="PatientSearchEDIPIInputLabel" for="PatientSearchEDIPIInput">
                        DoD ID:
                    </label>

                </div>

                <div class="td">
                    <input type="text" id="PatientSearchEDIPIInput" class="appkit-textfield"
                           aria-label="DoD ID"
                           data-outlet="JLV.PatientSearch.Controller.edipiInput"
                           data-placeholder="Please Enter Patient DoD ID"/>
                </div>
            </div>
        </div>


        <div style="height:8px;" id="PatientSearchEDIPIBreak">
            <div class="searchTypeDividerOuterText">
                <div class="searchTypeDividerInnerText">OR</div>
            </div>

            <div class="searchTypeDivider"></div>
        </div>


        <div style="margin-top:10px;" class="table">
            <div class="tr">
                <div class="td label-cell">
                    <label for="PatientSearchIdentifierInput">
                        &nbsp; SSN:
                    </label>

                </div>

                <div class="td">
                <input type="text" id="PatientSearchIdentifierInput"
                       aria-label="ssn"
                       data-outlet="JLV.PatientSearch.Controller.identifierInput"
                       data-placeholder="Please Enter Patient SSN"
                       class="appkit-textfield"/>
                </div>

                <div class="td label-cell">
                    <label id="PatientSearchSponsorSSNInputLabel" for="PatientSearchSponsorSSNInput">
                        OR  &nbsp; Sponsor SSN:
                    </label>
                </div>

                <div class="td">
                <input type="text" id="PatientSearchSponsorSSNInput"
                       aria-label="sponsor ssn"
                       data-placeholder="Please Enter Sponsor SSN"
                       data-outlet="JLV.PatientSearch.Controller.sponsorSSNInput"
                       class="appkit-textfield"/>
                </div>
            </div>
        </div>


        <div class="table">
            <div class="tr">
                <div class="td label-cell">
                    <label for="PatientSearchLastNameInput">
                        * Last Name:
                    </label>

                </div>

                <div class="td">
                    <input type="text" id="PatientSearchLastNameInput" class="appkit-textfield"
                           aria-label="Last Name - When searching by SSN, Last Name or date of birth is required."
                           data-outlet="JLV.PatientSearch.Controller.lastNameInput"/>

                </div>

                <div class="td label-cell">
                    <label class="form-cell" for="PatientSearchFirstNameInput">
                        First Name:
                    </label>
                </div>

                <div class="td">
                    <input type="text" id="PatientSearchFirstNameInput" class="appkit-textfield"
                           aria-label="first name"
                           data-outlet="JLV.PatientSearch.Controller.firstNameInput"/>
                </div>
            </div>

        </div>

        <div id="ShowAdvancedBtn"
             class="appkit-button "
             data-action="JLV.PatientSearch.Controller.toggleAdvancedOptions"
             data-outlet="JLV.PatientSearch.Controller.advSearchBtn" role="button"
             aria-label="Advanced Search Options toggle to activate press spacebar">
            << Show Advanced Search Options</div>

        <div class="form-row" id="AdvancedSearchOptions">

            <div class="table" role="presentation">
                <div class="tr">
                    <div class="td label-cell">
                        <label for="PatientSearchDOBInput">
                            * DOB:
                        </label>

                    </div>

                    <div class="td">
                        <div class="appkit-datepicker" id="PatientSearchDOBInput"
                             data-format="yy/mm/dd"
                             aria-label="Date of birth - When searching by SSN, Last Name or date of birth is required."
                             data-placeholder="YYYYMMDD"
                             data-outlet="JLV.PatientSearch.Controller.dobInput"></div>

                    </div>

                    <div class="td label-cell" style="width:70px; padding-left:32px;">
                        <label for="PatientMiddleInitialInput">
                            MI:
                        </label>
                    </div>

                    <div class="td" style="width:100px;">
                        <input type="text" class="appkit-textfield" id="PatientMiddleInitialInput"
                               aria-label="middle initial"
                               style="width:100px;"
                               data-outlet="JLV.PatientSearch.Controller.middleInitialInput"/>
                    </div>

                    <div class="td label-cell">

                        <label for="PatientSearchGenderInput">
                            &nbsp; Gender:
                        </label>

                    </div>

                    <div class="td" style="width:60px;">
                        <div class="appkit-combo" style="width:60px;" id="PatientSearchGenderInput"
                             aria-label="gender"
                             data-placeholder="Select"
                             data-outlet="JLV.PatientSearch.Controller.genderInput">
                            <div class="appkit-menu">
                                <div class="appkit-menu-item">M</div>

                                <div class="appkit-menu-item">F</div>
                            </div>

                        </div>
                    </div>
                </div>

            </div>

            <div class="table" role="presentation">
                <div class="tr">
                    <div class="td label-cell">
                        <label for="PatientSearchAddressInput">
                            Address:
                        </label>

                    </div>

                    <div class="td">
                        <input type="text" class="appkit-textfield" id="PatientSearchAddressInput"
                               aria-label="address"
                               data-outlet="JLV.PatientSearch.Controller.addressInput"/>

                    </div>

                    <div class="td label-cell" style="width:70px;  padding-left:32px;">
                        <label for="PatientSearchStateInput">
                            State:
                        </label>
                    </div>

                    <div class="td" style="width:100px;">
                        <div class="appkit-combo" style="width:60px;" id="PatientSearchStateInput"
                             aria-label="state"
                             data-placeholder="Select"
                             data-outlet="JLV.PatientSearch.Controller.stateInput">
                            <div class="appkit-menu">
                                <g:each var="state"
                                        in="${grails.converters.JSON.parse(grailsApplication.config.grails.stateAbbreviations)}">
                                    <div class="appkit-menu-item" title="${state.name}" data-label="${state.abbr}"
                                         data-value="${state.abbr}"></div>
                                </g:each>
                            </div>

                        </div>
                    </div>

                    <div class="td label-cell">

                        <label for="PatientSearchZipInput">
                            &nbsp; Zip:
                        </label>

                    </div>

                    <div class="td" style="width:100px;">
                        <input type="text" class="appkit-textfield" id="PatientSearchZipInput"
                               aria-label="zip code"
                               style="width:102px;"
                               data-outlet="JLV.PatientSearch.Controller.zipInput"/>
                    </div>
                </div>

            </div>


            <div class="table">
                <div class="tr">
                    <div class="td label-cell">

                        <label for="PatientSearchCityInput">
                            City:
                        </label>

                    </div>

                    <div class="td">
                        <input type="text" class="appkit-textfield" id="PatientSearchCityInput"
                               aria-label="city"
                               data-outlet="JLV.PatientSearch.Controller.cityInput"/>
                    </div>

                    <div class="td label-cell" style="width:70px; padding-left:32px;">

                        <label for="PatientSearchTelephoneInput">
                            Telephone:
                        </label>

                    </div>

                    <div class="td" style="width:265px;">
                        <input type="text" class="appkit-textfield" id="PatientSearchTelephoneInput"
                               aria-label="telephone"
                               data-outlet="JLV.PatientSearch.Controller.telephoneInput" style="width:285px;"/>
                    </div>

                </div>

            </div>

        </div>


        <table>
            <tr>
                <td>
                    <div id="PatientSearchButtonMemo"
                         class="memo">* When searching by SSN, Last Name or DOB is required.</div>
                </td>

                <td>
                    <div id="PatientSearchButton" class="appkit-button" data-type="primary" aria-label="Search"
                         data-action="JLV.PatientSearch.Controller.onSearch">Search</div>
                </td>
            </tr>
        </table>
        
    </div>



    <div id="PatientSearchTabView" class="appkit-tabview"
         data-outlet="JLV.PatientSearch.Controller.tabView">

        <div class="appkit-view" data-title="Recently Viewed Patients">

            <div id="RecentlyViewedPatientTable" class="appkit-table"
                 data-outlet="JLV.PatientSearch.Controller.recentlyViewedTable"
                 data-source="JLV.PatientSearch.RecentlyViewed"
                 data-delegate="JLV.PatientSearch.Controller"
                 data-fit-columns="true">
                <div data-id="name" data-formatter="patientNameFormatter" class="appkit-table-column"
                     data-width="260">Name</div>

                <div data-id="edipi" class="appkit-table-column" data-width="90">DoD ID</div>


                <div data-id="fmpssn" class="appkit-table-column" data-width="90">SSN</div>

                <div data-id="dob" class="appkit-table-column"
                     data-width="140">Date of Birth</div>

                <div data-id="gender" class="appkit-table-column"
                     data-width="80">Gender</div>

            </div>

        </div>

        <div class="appkit-view" data-title="Search Results" id="PatientSearchResultsTabView">
            <div id="PatientSearchTable" class="appkit-table"
                 data-outlet="JLV.PatientSearch.Controller.searchTable"
                 data-source="JLV.PatientSearch.Results"
                 data-delegate="JLV.PatientSearch.Controller"
                 data-fit-columns="true">
                <div data-id="name" data-formatter="patientNameFormatter" class="appkit-table-column"
                     data-width="260">Name</div>


                <div data-id="fmpssn" class="appkit-table-column" data-width="130">SSN</div>

                <div data-id="dob" class="appkit-table-column"
                     data-width="190">Date of Birth</div>

                <div data-id="gender" class="appkit-table-column"
                     data-width="80">Gender</div>

            </div>

        </div>

    </div>

</div>


<!-- dependents results dialog/table -->

<div id="SponsorResultsDialog" class="appkit-dialog"
     data-width="660"
     data-height="440"
     data-visible="false"
     data-modal="true"
     data-resizable="false"
     data-outlet="JLV.PatientSearch.Controller.sponsorResultsDialog"
     data-title="Family Members">

    <table class id="SponorResultsSponsorInfo" cellpadding="5" cellspacing="5">
        <label style="margin-left: 12px;">Sponsor:</label>
    </table>

    <div id="SponsorResultsTable" class="appkit-table"
         data-outlet="JLV.PatientSearch.Controller.sponsorResultsTable"
         data-source="JLV.PatientSearch.SponsorResults"
         data-delegate="JLV.PatientSearch.Controller">

        <div data-id="name" data-formatter="patientNameFormatter" class="appkit-table-column"
             data-width="160">Name</div>

        <div data-id="edipi" class="appkit-table-column" data-width="90">DoD ID</div>


        <div data-id="fmpssn" class="appkit-table-column" data-width="90">SSN</div>

        <div data-id="dob" class="appkit-table-column"
             data-width="140">Date of Birth</div>

        <div data-id="gender" class="appkit-table-column"
             data-width="80">Gender</div>

    </div>


    <div class="appkit-button cancel-btn"
         data-action="JLV.PatientSearch.Controller.closeSponsorResultsDialog">Cancel</div>

</div>
