package gov.va.med.dao;

import gov.va.med.groovy.user.AppUser;
import gov.va.med.guibeans.GUIPatient;
import gov.va.med.guibeans.GUIUser;
import org.apache.commons.lang3.StringUtils;
import org.apache.log4j.Logger;
import org.springframework.stereotype.Component;

import javax.xml.soap.SOAPException;

@Component
public class AuditDao extends DaoBase {
    private static final Logger logger = Logger.getLogger(AuditDao.class.getName());

    private String requestingApp = "JLV";

    public void auditDetailsQuery(String queryName, GUIUser user, GUIPatient patient, String complexTransaction,
                                  String itemId, String recordSiteMoniker, String recordSiteAgency) {
        auditDetailsQuery(queryName, "", user, patient, complexTransaction, itemId, recordSiteMoniker, recordSiteAgency);
    }

    public void auditDetailsQuery(String queryName, String queryInfo, GUIUser user, GUIPatient patient,
                                  String complexTransaction, String itemId, String recordSiteMoniker,
                                  String recordSiteAgency) {

        String userSiteCode = null;
        String userIen = null;
        String providerIen = null;
        String npi = null;
        String userName = null;
        String patientEDIPI = null;
        String cardId = null;
        String info = "";
        String emailAddress = null;


        if (user != null) {
            if (user.getHostSite() != null && user.getHostSite().getSiteCode() != null)
                userSiteCode = user.getHostSite().getSiteCode();

            userIen = user.getUserIen();
            providerIen = user.getProviderIen();
            npi = user.getNpi();
            userName = user.getName();
            cardId = user.getCardId();
            emailAddress = user.getEmail();
        }

        if (patient != null) {
            patientEDIPI = patient.getEDIPI();
        }

        if(StringUtils.isNotBlank(queryInfo)){
            info += queryInfo;
        }

        try {
            getServiceHandler().logAudit(userSiteCode, recordSiteMoniker, recordSiteAgency, itemId, userIen,
                    providerIen, npi, userName,
                    patientEDIPI, queryName, requestingApp, null, null, info, cardId, emailAddress, complexTransaction);
        } catch (SOAPException e) {
            logger.error(e.getMessage(), e);
        }
    }

    public void auditPrintQuery(String queryName, String queryInfo, AppUser user, GUIPatient patient,
                                String complexTransaction, String itemId, String recordSiteMoniker,
                                String recordSiteAgency){

        String userSiteCode = null;
        String userIen = null;
        String providerIen = null;
        String npi = null;
        String userName = null;
        String patientEDIPI = null;
        String cardId = null;
        String info = "";
        String emailAddress = null;


        if (user != null) {
            if (user.getHostSite() != null && user.getHostSite().getSiteCode() != null)
                userSiteCode = user.getHostSite().getSiteCode();

            userIen = user.getUserIen();
            providerIen = user.getProviderIen();
            npi = user.getNpi();
            userName = user.getName();
            cardId = user.getCardId();
            emailAddress = user.getEmail();
        }

        if (patient != null) {
            patientEDIPI = patient.getEDIPI();
        }

        if(StringUtils.isNotBlank(queryInfo)){
            info += queryInfo;
        }

        try {
            getServiceHandler().logAudit(userSiteCode, recordSiteMoniker, recordSiteAgency, itemId, userIen,
                    providerIen, npi, userName,
                    patientEDIPI, queryName, requestingApp, null, null, info, cardId, emailAddress, complexTransaction);
        } catch (SOAPException e) {
            logger.error(e.getMessage(), e);
        }
    }
}
