package gov.va.med.dao;

import gov.va.med.guibeans.*;
import gov.va.med.jmeadows.webservice.PatientHistory;
import gov.va.med.jmeadows.webservice.ProblemDetail;
import gov.va.med.vhahon.common.Utils;
import org.apache.log4j.Logger;
import org.springframework.stereotype.Component;

import java.util.ArrayList;
import java.util.List;

/**
 * Created with IntelliJ IDEA.
 * User: yidali
 * Date: 5/7/14
 * Time: 2:08 PM
 * To change this template use File | Settings | File Templates.
 */
@Component
public class HistoryDao extends DaoBase {


    private static final Logger logger = Logger.getLogger(HistoryDao.class.getName());

    public List<GUIHistory> getPatientHistories(GUIUser user, GUIPatient patient, String status) {
        try {
            PatientHistory[] histories = getServiceHandler().getPatientHistories(
                    jMeadowsQueryBuilderFactory.getBuilder()
                            .user(user)
                            .patient(patient)
                            .status(status)
                            .build());
            List<GUIHistory> guiHistories = new ArrayList<GUIHistory>();

            for (PatientHistory history : histories) {
                GUIHistory guiHistory = dozerBeanMapper.map(history, GUIHistory.class);

                if (history.getDateReported() != null)
                    guiHistory.setDateReported(Utils.formatDisplayDateTime(history.getDateReported()));

                if (history.getDateOnset() != null)
                    guiHistory.setDateOnset(Utils.formatDisplayDateTime(history.getDateOnset()));

                if (history.getEnteredByDate() != null)
                    guiHistory.setEnteredByDate(Utils.formatDisplayDateTime(history.getEnteredByDate()));

                if (history.getPeriodStartDate() != null)
                    guiHistory.setEnteredByDate(Utils.formatDisplayDateTime(history.getPeriodStartDate()));

                if (history.getPeriodEndDate() != null)
                    guiHistory.setEnteredByDate(Utils.formatDisplayDateTime(history.getPeriodEndDate()));

                guiHistories.add(guiHistory);


            }


            return guiHistories;

        } catch (Exception ex) {
            throw new DaoException(ex);
        }
    }

//    public GUIHistory getHistoryDetails(GUIUser user, GUIPatient patient, String problemId, String recordSiteCode) {
//        try {
//            ProblemDetail problemDetail = getServiceHandler().getProblemDetail(
//                    jMeadowsQueryBuilderFactory.getBuilder()
//                            .user(user)
//                            .patient(patient)
//                            .itemId(problemId)
//                            .recordSiteCode(recordSiteCode)
//                            .build());
//
//            GUIHistory guiHistory = null;
//
//            if (problemDetail != null) {
//                //One GUI history bean is used to house both general and details information
//                //in this case, just populate the details related data of the GUI history bean
//                guiHistory = new GUIHistory();
//
////                mapHistoryData(problemDetail, guiHistory);
////                mapProblemDetailsData(problemDetail, guiHistory);
//            }
//
//            return guiHistory;
//
//        } catch (Exception ex) {
//            throw new DaoException(ex);
//        }
//    }

//    private void mapHistoryData(History history, GUIHistory guiHistory) {
//        String onsetDate = "Unknown";
//        String icdCode = "";
//        String status = "";
//        String lastUpdatedDate = "";
//        String relationship = "";
//        String priority = "";
//        String relationshipId = "";
//        String hospitalLocation = "";
//        String responsibleProvider = "";
//        String recordedDate = "";
//
//        if (history.getOnsetDate() != null && history.getOnsetDate().getYear() > 1899) {
//            onsetDate = Utils.formatDisplayDate(history.getOnsetDate());
//
//        }
//        if (history.getLastModifiedDate() != null) {
//            lastUpdatedDate = Utils.formatDisplayDate(history.getLastModifiedDate());
//        }
//
//        if (history.getStatus() != null) {
//
//            if (history.getStatus().equals("A"))
//            {
//                status = "Active";
//            }
//            else if (history.getStatus().equals("I"))
//            {
//                status = "Inactive";
//            }
//            else
//            {
//                status = history.getStatus();
//            }
//        }
//
//        if (history.getId() != null) {
//            problemId = history.getId();
//        }
//
//        if (history.getHospitalLocation() != null) {
//            hospitalLocation = history.getHospitalLocation();
//        }
//
//        if (history.getResponsibleProvider() != null) {
//            responsibleProvider = history.getResponsibleProvider();
//        }
//
//
//        guiHistory.setOnsetDate(onsetDate);
//        guiHistory.setMedicineCode(icdCode);
//        guiHistory.setStatus(status);
//        guiHistory.setLastUpdated(lastUpdatedDate);
//        guiHistory.setRelationship(relationship);
//        guiHistory.setPriority(priority);
//        guiHistory.setRelationshipId(relationshipId);
//        guiHistory.setHospitalLocation(hospitalLocation);
//        guiHistory.setResponsibleProvider(responsibleProvider);
//        guiHistory.setRecordedDate(recordedDate);

//        List<GUICode> guiCodes = new ArrayList<GUICode>();
//        for(Code code : history.getFindings())
//        {
//            guiCodes.add(dozerBeanMapper.map(code, GUICode.class));
//        }
//        guiHistory.setCodes(guiCodes);

//        addSiteDataToGUIBean(guiHistory, history);
//    }

//    private void mapHistoryDetailsData(HistoryDetail historyDetail, GUIHistory guiHistoryDetail) {
//        String hospitalLocation = "";
//        String responsibleProvider = "";
//        String enteredDate = "";
//        String enteredBy = "";
//        String recordedDate = "";
//        String recordedBy = "";
//        List<GUIHistoryFinding> guiFinding = new ArrayList<GUIHistoryFinding>();
//        String relationship = "";
//
//        if (historyDetail.getHospitalLocation() != null) {
//            hospitalLocation = historyDetail.getHospitalLocation();
//        }
//
//        if (historyDetail.getResponsibleProvider() != null) {
//            responsibleProvider = historyDetail.getResponsibleProvider();
//        }
//
//        if (historyDetail.getEnteredDate() != null) {
//            enteredDate = Utils.formatDisplayDate(historyDetail.getEnteredDate());
//        }
//
//        if (historyDetail.getEnteredBy() != null) {
//            enteredBy = historyDetail.getEnteredBy();
//        }
//
//        if (historyDetail.getRecordedDate() != null) {
//            recordedDate = Utils.formatDisplayDate(historyDetail.getRecordedDate());
//        }
//
//        if (historyDetail.getRecordedBy() != null) {
//            recordedBy = historyDetail.getRecordedBy();
//        }
//
//        if (historyDetail.getFindings() != null) {
//            for (Finding finding : historyDetail.getFindings()) {
//                String category = "";
//                String flag = "";
//                String item = "";
//                String annotation = "";
//
////                if (finding.getCategory() != null) {
////                    category = finding.getCategory);
////                }
////
////                if (finding.getFlag() != null) {
////                    flag = finding.getFlag();
////                }
////
////                if (finding.getItem() != null) {
////                    item = finding.getItem();
////                }
////
////                if (finding.getAnnontation() != null) {
////                    item = finding.getAnnontation();
////                }
//
//                GUIHistoryFinding guiHistoryFinding = new GUIHistoryFinding();
//                guiHistoryFinding.setCategory(category);
//                guiHistoryFinding.setFlag(flag);
//                guiHistoryFinding.setItem(item);
//                guiHistoryFinding.setAnnotation(annotation);
//
//                guiFinding.add(guiHistoryFinding);
//            }
//        }
//
////        if (historyDetail.getRelationship() != null) {
////            relationship = historyDetail.getRelationship();
////        }
//
//        guiHistoryDetail.setHospitalLocation(hospitalLocation);
//        guiHistoryDetail.setEnteredDate(enteredDate);
//        guiHistoryDetail.setEnteredBy(enteredBy);
//        guiHistoryDetail.setRecordedDate(recordedDate);
//        guiHistoryDetail.setRecordedBy(recordedBy);
//        guiHistoryDetail.setResponsibleProvider(responsibleProvider);
//        guiHistoryDetail.setRelationship(relationship);
//        guiHistoryDetail.setFindings(guiFinding);
//    }
}
