/*
 * Janus 4.0 (c)
 * Copyright (c) 2011 Hawaii Resource Group LLC. All Rights Reserved.
 * Developed for the Pacific Telehealth & Technology Hui and the Pacific Joint Information Technology Center
 * Contributors:
 *             Honorable Senator Daniel K. Inouye
 *             VA Pacific Islands Health Care System
 *             Tripler Army Medical Center
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License.
 *
 * You may obtain a copy of the License at:
 *
 *            http://www.apache.org/licenses/LICENSE-2.0.txt
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and limitations under the License.
 */


package gov.va.med.guibeans;

public class GUIDeploymentForm extends GUIBean {
    private String noteText;
    private String custodianId;
    private String enteredBy;
    private String enteredByDate;
    private String facility;
    private String loincCode;
    private String noteFormat;
    private String noteTitle;
    private String noteTypeCode;
    private String noteTypeName;
    private String otherIdentifier;
    private String repositoryId;
    private String verifiedBy;
    private String verifiedDate;

    private boolean noteAsBinaryStream;
    private boolean noteAsPlainText;
    private String complexDataUrl;

    public String getNoteText() {
        return noteText;
    }

    public void setNoteText(String noteText) {
        this.noteText = noteText;
    }

    public String getCustodianId() {
        return custodianId;
    }

    public void setCustodianId(String custodianId) {
        this.custodianId = custodianId;
    }

    public String getEnteredBy() {
        return enteredBy;
    }

    public void setEnteredBy(String enteredBy) {
        this.enteredBy = enteredBy;
    }

    public String getEnteredByDate() {
        return enteredByDate;
    }

    public void setEnteredByDate(String enteredByDate) {
        this.enteredByDate = enteredByDate;
    }

    public String getFacility() {
        return facility;
    }

    public void setFacility(String facility) {
        this.facility = facility;
    }

    public String getLoincCode() {
        return loincCode;
    }

    public void setLoincCode(String loincCode) {
        this.loincCode = loincCode;
    }

    public String getNoteFormat() {
        return noteFormat;
    }

    public void setNoteFormat(String noteFormat) {
        this.noteFormat = noteFormat;
    }

    public String getNoteTitle() {
        return noteTitle;
    }

    public void setNoteTitle(String noteTitle) {
        this.noteTitle = noteTitle;
    }

    public String getNoteTypeCode() {
        return noteTypeCode;
    }

    public void setNoteTypeCode(String noteTypeCode) {
        this.noteTypeCode = noteTypeCode;
    }

    public String getNoteTypeName() {
        return noteTypeName;
    }

    public void setNoteTypeName(String noteTypeName) {
        this.noteTypeName = noteTypeName;
    }

    public String getOtherIdentifier() {
        return otherIdentifier;
    }

    public void setOtherIdentifier(String otherIdentifier) {
        this.otherIdentifier = otherIdentifier;
    }

    public String getRepositoryId() {
        return repositoryId;
    }

    public void setRepositoryId(String repositoryId) {
        this.repositoryId = repositoryId;
    }

    public String getVerifiedBy() {
        return verifiedBy;
    }

    public void setVerifiedBy(String verifiedBy) {
        this.verifiedBy = verifiedBy;
    }

    public String getVerifiedDate() {
        return verifiedDate;
    }

    public void setVerifiedDate(String verifiedDate) {
        this.verifiedDate = verifiedDate;
    }

    public boolean isNoteAsBinaryStream() {
        return noteAsBinaryStream;
    }

    public void setNoteAsBinaryStream(boolean noteAsBinaryStream) {
        this.noteAsBinaryStream = noteAsBinaryStream;
    }

    public boolean isNoteAsPlainText() {
        return noteAsPlainText;
    }

    public void setNoteAsPlainText(boolean noteAsPlainText) {
        this.noteAsPlainText = noteAsPlainText;
    }

    public String getComplexDataUrl() {
        return complexDataUrl;
    }

    public void setComplexDataUrl(String complexDataUrl) {
        this.complexDataUrl = complexDataUrl;
    }
}
