/*
 * Janus 4.0 (c)
 * Copyright (c) 2011 Hawaii Resource Group LLC. All Rights Reserved.
 * Developed for the Pacific Telehealth & Technology Hui and the Pacific Joint Information Technology Center
 * Contributors:
 *             Honorable Senator Daniel K. Inouye
 *             VA Pacific Islands Health Care System
 *             Tripler Army Medical Center
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License.
 *
 * You may obtain a copy of the License at:
 *
 *            http://www.apache.org/licenses/LICENSE-2.0.txt
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and limitations under the License.
 */


package gov.va.med.guibeans;

public class GUIDocument extends GUIProgressNote {
    private GUIProgressNote progressNote;
    private GUIPatientEncounter outpatientEncounter;
    private GUIConsult consult;
    private GUIProgressNote dischargeSummary;
    private GUIPatientForm form;
    private GUIRadiologyReport radiologyReport;
    private GUIProgressNote haimsDocument;
    private String documentType;

    public GUIProgressNote getProgressNote() {
        return progressNote;
    }

    public void setProgressNote(GUIProgressNote progressNote) {
        this.progressNote = progressNote;
    }

    public GUIPatientEncounter getOutpatientEncounter() {
        return outpatientEncounter;
    }

    public void setOutpatientEncounter(GUIPatientEncounter outpatientEncounter) {
        this.outpatientEncounter = outpatientEncounter;
    }

    public GUIConsult getConsult() {
        return consult;
    }

    public void setConsult(GUIConsult consult) {
        this.consult = consult;
    }

    public GUIProgressNote getDischargeSummary() {
        return dischargeSummary;
    }

    public void setDischargeSummary(GUIProgressNote dischargeSummary) {
        this.dischargeSummary = dischargeSummary;
    }

    public GUIPatientForm getForm() {
        return form;
    }

    public void setForm(GUIPatientForm form) {
        this.form = form;
    }

    public GUIRadiologyReport getRadiologyReport() {
        return radiologyReport;
    }

    public void setRadiologyReport(GUIRadiologyReport radiologyReport) {
        this.radiologyReport = radiologyReport;
    }

    public GUIProgressNote getHaimsDocument() {
        return haimsDocument;
    }

    public void setHaimsDocument(GUIProgressNote haimsDocument) {
        this.haimsDocument = haimsDocument;
    }

    public String getDocumentType() {
        return documentType;
    }

    public void setDocumentType(String documentType) {
        this.documentType = documentType;
    }
}
