/*
 * Janus 4.0 (c)
 * Copyright (c) 2011 Hawaii Resource Group LLC. All Rights Reserved.
 * Developed for the Pacific Telehealth & Technology Hui and the Pacific Joint Information Technology Center
 * Contributors:
 *             Honorable Senator Daniel K. Inouye
 *             VA Pacific Islands Health Care System
 *             Tripler Army Medical Center
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License.
 *
 * You may obtain a copy of the License at:
 *
 *            http://www.apache.org/licenses/LICENSE-2.0.txt
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and limitations under the License.
 */


package gov.va.med.guibeans;

import java.util.ArrayList;
import java.util.List;

public class GUIMedication extends GUIBean {

    private String orderDate;
    private String lastFilledDate;
    private String drugName;
    private String refills;
    private String sig;
    private GUIProvider orderingProvider;
    private String quantity;
    private String daysSupply;
    private String stopDate;
    private String startDate;
    private String pharmacy;
    private String comment;
    private String medicationId;
    private String active;
    private String status;
    private List<GUIPrescriptionFill> prescriptionFills;
    private String orderId;
    private String ndc;
    private String units;
    private boolean childResistant;
    private String fillExpirationDate;
    private String rxNumber;
    private String refillsRemaining;
    private String dispenseDate;
    private String currentSupplyEndDate;
    private boolean manuallyEntered;
    private boolean coded;

    public String getOrderDate() {
        return orderDate;
    }

    public void setOrderDate(String orderDate) {
        this.orderDate = orderDate;
    }

    public String getLastFilledDate() {
        return lastFilledDate;
    }

    public void setLastFilledDate(String lastFilledDate) {
        this.lastFilledDate = lastFilledDate;
    }

    public String getDrugName() {
        return drugName;
    }

    public void setDrugName(String drugName) {
        this.drugName = drugName;
    }

    public String getRefills() {
        return refills;
    }

    public void setRefills(String refills) {
        this.refills = refills;
    }

    public String getSig() {
        return sig;
    }

    public void setSig(String sig) {
        this.sig = sig;
    }

    public GUIProvider getOrderingProvider() {
        return orderingProvider;
    }

    public void setOrderingProvider(GUIProvider orderingProvider) {
        this.orderingProvider = orderingProvider;
    }

    public String getQuantity() {
        return quantity;
    }

    public void setQuantity(String quantity) {
        this.quantity = quantity;
    }

    public String getDaysSupply() {
        return daysSupply;
    }

    public void setDaysSupply(String daysSupply) {
        this.daysSupply = daysSupply;
    }

    public String getStopDate() {
        return stopDate;
    }

    public void setStopDate(String stopDate) {
        this.stopDate = stopDate;
    }

    public String getPharmacy() {
        return pharmacy;
    }

    public void setPharmacy(String pharmacy) {
        this.pharmacy = pharmacy;
    }

    public String getComment() {
        return comment;
    }

    public void setComment(String comment) {
        this.comment = comment;
    }

    public String getMedicationId() {
        return medicationId;
    }

    public void setMedicationId(String medicationId) {
        this.medicationId = medicationId;
    }

    public String getActive() {
        return active;
    }

    public void setActive(String active) {
        this.active = active;
    }

    public String getStartDate() {
        return startDate;
    }

    public void setStartDate(String startDate) {
        this.startDate = startDate;
    }

    public List<GUIPrescriptionFill> getPrescriptionFills() {

        if (prescriptionFills == null) {
            prescriptionFills = new ArrayList<GUIPrescriptionFill>();
        }

        return prescriptionFills;
    }

    public String getFills() {
        return (Integer.toString(getPrescriptionFills().size()).toString());
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getOrderId() {
        return orderId;
    }

    public void setOrderId(String orderId) {
        this.orderId = orderId;
    }

    public String getNdc() {
        return ndc;
    }

    public void setNdc(String ndc) {
        this.ndc = ndc;
    }

    public String getUnits() {
        return units;
    }

    public void setUnits(String units) {
        this.units = units;
    }

    public boolean isChildResistant() {
        return childResistant;
    }

    public void setChildResistant(boolean childResistant) {
        this.childResistant = childResistant;
    }

    public String getFillExpirationDate() {
        return fillExpirationDate;
    }

    public void setFillExpirationDate(String fillExpirationDate) {
        this.fillExpirationDate = fillExpirationDate;
    }

    public String getRxNumber() {
        return rxNumber;
    }

    public void setRxNumber(String rxNumber) {
        this.rxNumber = rxNumber;
    }

    public String getRefillsRemaining() {
        return refillsRemaining;
    }

    public void setRefillsRemaining(String refillsRemaining) {
        this.refillsRemaining = refillsRemaining;
    }

    public String getDispenseDate() {
        return dispenseDate;
    }

    public void setDispenseDate(String dispenseDate) {
        this.dispenseDate = dispenseDate;
    }

    public String getCurrentSupplyEndDate() {
        return currentSupplyEndDate;
    }

    public void setCurrentSupplyEndDate(String currentSupplyEndDate) {
        this.currentSupplyEndDate = currentSupplyEndDate;
    }

    public void setPrescriptionFills(List<GUIPrescriptionFill> prescriptionFills) {
        this.prescriptionFills = prescriptionFills;
    }

    public boolean isManuallyEntered() {
        return manuallyEntered;
    }

    public void setManuallyEntered(boolean manuallyEntered) {
        this.manuallyEntered = manuallyEntered;
    }

    public boolean isCoded() {
        return coded;
    }

    public void setCoded(boolean coded) {
        this.coded = coded;
    }
}
