/*
 * Janus 4.0 (c)
 * Copyright (c) 2011 Hawaii Resource Group LLC. All Rights Reserved.
 * Developed for the Pacific Telehealth & Technology Hui and the Pacific Joint Information Technology Center
 * Contributors:
 *             Honorable Senator Daniel K. Inouye
 *             VA Pacific Islands Health Care System
 *             Tripler Army Medical Center
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License.
 *
 * You may obtain a copy of the License at:
 *
 *            http://www.apache.org/licenses/LICENSE-2.0.txt
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and limitations under the License.
 */


package gov.va.med.guibeans;

import java.util.List;

/**
 *
 *
 */
public class GUIPatientDemographics extends GUIBean {

    private String name;
    private String address1;
    private String address2;
    private String city;
    private String state;
    private String zipCode;
    private String fmpssn;
    private String edipi;
    private String pcm;
    private String pcmPhone;
    private String pcmDate;
    private String pcmClinic;
    private String pcTeam;
    private String age;
    private String dob;
    private String gender;
    private String race;
    private String phone1;
    private String phone2;
    private boolean isCodeGray;
    private String codeGrayMessage;
    private String percentServiceConnected;
    private String clinic;
    private String sponsorName;

    private String rank;
    private String fmp;

    private List<GUIPerson> nextOfKin;
    private List<GUIPerson> emergencyContact;
    private List<GUIPerson> sponsors;
    private List<GUIAddress> address;
    private String languages;
    private String religion;
    private String maritalStatus;
    private List<GUIFlag> flags;
    private boolean organDonorInd;
    private String bloodType;
    private String organDonorIndDate;
    private String organDonorIndDateDisplay;

    public String getAddress1() {
        return address1;
    }

    public void setAddress1(String address1) {
        this.address1 = address1;
    }

    public String getAddress2() {
        return address2;
    }

    public void setAddress2(String address2) {
        this.address2 = address2;
    }

    public String getAge() {
        return age;
    }

    public void setAge(String age) {
        this.age = age;
    }

    public String getCity() {
        return city;
    }

    public void setCity(String city) {
        this.city = city;
    }

    public String getEdipi() {
        return this.edipi;
    }

    public void setEdipi(String var1) {
        this.edipi = var1;
    }

    public String getDob() {
        return dob;
    }

    public void setDob(String dob) {
        this.dob = dob;
    }

    public String getFmpssn() {
        return fmpssn;
    }

    public void setFmpssn(String fmpssn) {
        this.fmpssn = fmpssn;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getPcm() {
        return pcm;
    }

    public void setPcm(String pcm) {
        this.pcm = pcm;
    }

    public String getPcmPhone() {
        return pcmPhone;
    }

    public void setPcmPhone(String pcmPhone) {
        this.pcmPhone = pcmPhone;
    }

    public String getPcmDate() { return pcmDate; }

    public void setPcmDate(String pcmDate) { this.pcmDate = pcmDate; }

    public String getPcmClinic() { return pcmClinic; }

    public void setPcmClinic(String pcmClinic) { this.pcmClinic = pcmClinic; }

    public String getPcTeam() {
        return pcTeam;
    }

    public void setPcTeam(String pcTeam) {
        this.pcTeam = pcTeam;
    }

    public String getPercentServiceConnected() {
        return percentServiceConnected;
    }

    public void setPercentServiceConnected(String percentServiceConnected) {
        this.percentServiceConnected = percentServiceConnected;
    }

    public String getPhone1() {
        return phone1;
    }

    public void setPhone1(String phone1) {
        this.phone1 = phone1;
    }

    public String getPhone2() {
        return phone2;
    }

    public void setPhone2(String phone2) {
        this.phone2 = phone2;
    }

    public String getGender() {
        return gender;
    }

    public void setGender(String gender) {
        this.gender = gender;
    }

    public String getRace() {
        return race;
    }

    public void setRace(String race) {
        this.race = race;
    }

    public String getState() {
        return state;
    }

    public void setState(String state) {
        this.state = state;
    }

    public String getZipCode() {
        return zipCode;
    }

    public void setZipCode(String zipCode) {
        this.zipCode = zipCode;
    }

    public String getClinic() {
        return clinic;
    }

    public void setClinic(String clinic) {
        this.clinic = clinic;
    }

    public boolean isCodeGray() {
        return isCodeGray;
    }

    public void setCodeGray(boolean isCodeGray) {
        this.isCodeGray = isCodeGray;
    }

    public String getCodeGrayMessage() {
        return codeGrayMessage;
    }

    public void setCodeGrayMessage(String codeGrayMessage) {
        this.codeGrayMessage = codeGrayMessage;
    }

    public String getRank() {
        return rank;
    }

    public void setRank(String rank) {
        this.rank = rank;
    }

    public String getFmp() {
        return fmp;
    }

    public void setFmp(String fmp) {
        this.fmp = fmp;
    }

    public String getSponsorName() { return sponsorName; }

    public void setSponsorName(String sponsorName) { this.sponsorName = sponsorName; }

    public void setIsCodeGray(boolean isCodeGray) {
        this.isCodeGray = isCodeGray;
    }

    public List<GUIPerson> getNextOfKin() {
        return nextOfKin;
    }

    public void setNextOfKin(List<GUIPerson> nextOfKin) {
        this.nextOfKin = nextOfKin;
    }

    public List<GUIPerson> getEmergencyContact() {
        return emergencyContact;
    }

    public void setEmergencyContact(List<GUIPerson> emergencyContact) {
        this.emergencyContact = emergencyContact;
    }

    public String getLanguages() {
        return languages;
    }

    public void setLanguages(String languages) {
        this.languages = languages;
    }

    public String getReligion() {
        return religion;
    }

    public void setReligion(String religion) {
        this.religion = religion;
    }

    public String getMaritalStatus() {
        return maritalStatus;
    }

    public void setMaritalStatus(String maritalStatus) {
        this.maritalStatus = maritalStatus;
    }

    public List<GUIPerson> getSponsors() {
        return sponsors;
    }

    public void setSponsors(List<GUIPerson> sponsors) {
        this.sponsors = sponsors;
    }

    public List<GUIAddress> getAddress() {
        return address;
    }

    public void setAddress(List<GUIAddress> address) {
        this.address = address;
    }

    public List<GUIFlag> getFlags() {
        return flags;
    }

    public void setFlags(List<GUIFlag> flags) {
        this.flags = flags;
    }

    public boolean isOrganDonorInd() {
        return organDonorInd;
    }

    public void setOrganDonorInd(boolean organDonorInd) {
        this.organDonorInd = organDonorInd;
    }

    public String getBloodType() {
        return bloodType;
    }

    public void setBloodType(String bloodType) {
        this.bloodType = bloodType;
    }

    public String getOrganDonorIndDate() {
        return organDonorIndDate;
    }

    public void setOrganDonorIndDate(String organDonorIndDate) {
        this.organDonorIndDate = organDonorIndDate;
    }

    public String getOrganDonorIndDateDisplay() {
        return organDonorIndDateDisplay;
    }

    public void setOrganDonorIndDateDisplay(String organDonorIndDateDisplay) {
        this.organDonorIndDateDisplay = organDonorIndDateDisplay;
    }
}
