/*
 * Janus 4.0 (c)
 * Copyright (c) 2011 Hawaii Resource Group LLC. All Rights Reserved.
 * Developed for the Pacific Telehealth & Technology Hui and the Pacific Joint Information Technology Center
 * Contributors:
 *             Honorable Senator Daniel K. Inouye
 *             VA Pacific Islands Health Care System
 *             Tripler Army Medical Center
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License.
 *
 * You may obtain a copy of the License at:
 *
 *            http://www.apache.org/licenses/LICENSE-2.0.txt
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and limitations under the License.
 */


package gov.va.med.guibeans;

public class GUIRadiologyReport extends GUIRadiologyExam {
    private String accessionNumber;
    private String priority;
    private String procedure;
    private String examDate;
    private String orderReason;
    private String resultCode;
    private String interpretingHCP;
    private String approvingHCP;
    private String transcribeDate;
    private String reportStatus;
    private String impressionText;
    private String reportText;
    private boolean plainTextReport;
    private boolean medWebAvailable;
    private String medWebToken;
    private String abnormal;
    private String cacheId;
    private String caseNumber;
    private String facilityName;
    private boolean hasImage;
    private GUIVixStudy vixStudy;

    public String getAccessionNumber() {
        return accessionNumber;
    }

    public void setAccessionNumber(String accessionNumber) {
        this.accessionNumber = accessionNumber;
    }

    public String getPriority() {
        return priority;
    }

    public void setPriority(String priority) {
        this.priority = priority;
    }

    public String getProcedure() {
        return procedure;
    }

    public void setProcedure(String procedure) {
        this.procedure = procedure;
    }

    public String getExamDate() {
        return examDate;
    }

    public void setExamDate(String examDate) {
        this.examDate = examDate;
    }

    public String getOrderReason() {
        return orderReason;
    }

    public void setOrderReason(String orderReason) {
        this.orderReason = orderReason;
    }

    public String getResultCode() {
        return resultCode;
    }

    public void setResultCode(String resultCode) {
        this.resultCode = resultCode;
    }

    public String getInterpretingHCP() {
        return interpretingHCP;
    }

    public void setInterpretingHCP(String interpretingHCP) {
        this.interpretingHCP = interpretingHCP;
    }

    public String getApprovingHCP() {
        return approvingHCP;
    }

    public void setApprovingHCP(String approvingHCP) {
        this.approvingHCP = approvingHCP;
    }

    public String getTranscribeDate() {
        return transcribeDate;
    }

    public void setTranscribeDate(String transcribeDate) {
        this.transcribeDate = transcribeDate;
    }

    public String getReportStatus() {
        return reportStatus;
    }

    public void setReportStatus(String reportStatus) {
        this.reportStatus = reportStatus;
    }

    public String getReportText() {
        return reportText;
    }

    public void setReportText(String reportText) {
        this.reportText = reportText;
    }

    public String getImpressionText() {
        return impressionText;
    }

    public void setImpressionText(String impressionText) {
        this.impressionText = impressionText;
    }

    public boolean isPlainTextReport() {
        return plainTextReport;
    }

    public void setPlainTextReport(boolean plainTextReport) {
        this.plainTextReport = plainTextReport;
    }

    public boolean isMedWebAvailable() {
        return medWebAvailable;
    }

    public void setMedWebAvailable(boolean medWebAvailable) {
        this.medWebAvailable = medWebAvailable;
    }

    public String getMedWebToken() {
        return medWebToken;
    }

    public void setMedWebToken(String medWebToken) {
        this.medWebToken = medWebToken;
    }

    public String getAbnormal() {
        return abnormal;
    }

    public void setAbnormal(String abnormal) {
        this.abnormal = abnormal;
    }

    public String getCacheId() {
        return cacheId;
    }

    public void setCacheId(String cacheId) {
        this.cacheId = cacheId;
    }

    public GUIVixStudy getVixStudy() {
        return vixStudy;
    }

    public void setVixStudy(GUIVixStudy vixStudy) {
        this.vixStudy = vixStudy;
    }

    public String getCaseNumber() {
        return caseNumber;
    }

    public void setCaseNumber(String caseNumber) {
        this.caseNumber = caseNumber;
    }

    public String getFacilityName() {
        return facilityName;
    }

    public void setFacilityName(String facilityName) {
        this.facilityName = facilityName;
    }

    public boolean isHasImage() {
        return hasImage;
    }

    public void setHasImage(boolean hasImage) {
        this.hasImage = hasImage;
    }

}
