package gov.va.med.jlvqos.webservice;

import gov.va.med.jlvqos.heartbeat.ServiceErrors;
import gov.va.med.monitor.ServiceMonitor;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;


import javax.jws.WebMethod;
import javax.jws.WebService;
import javax.xml.soap.SOAPException;
import javax.xml.ws.soap.MTOM;

@MTOM
@WebService()
public class JLVQoSData
{
    private static final Logger logger = LoggerFactory.getLogger(JLVQoSData.class);

    public JLVQoSData()
    {
        logger.debug("JLVQoSData class created (" + this + ")");
    }

    @WebMethod
    public String verify()
    {
        return ("JLVQoS WebService is running!");
    }


    @WebMethod
    public String getServiceErrors() throws SOAPException {
        String retVal = null;
        try {
            retVal = ServiceErrors.getInstance().getServiceErrors();
        } catch (Exception e) {
            logger.error(e.getMessage(), e);
            throw new SOAPException(e);
        }
        return retVal;
    }

}