package gov.va.med.monitor;

import gov.va.med.jmeadows.dataservicehandler.JMeadowsServiceHandler;
import org.apache.commons.lang3.StringUtils;

public class JMeadowsService extends ServiceBase
{
    private static final JMeadowsService INSTANCE = new JMeadowsService();
    private JMeadowsServiceHandler serviceHandler;

    private JMeadowsService()
    {
        super(ServiceType.JMeadowsDataService);

        serviceHandler = new JMeadowsServiceHandler(APP_CONFIG.getJMeadowsURL());
    }

    public static JMeadowsService getInstance()
    {
        return INSTANCE;
    }

    @Override
    public void run()
    {
        if (StringUtils.isBlank(serviceHandler.getVersion()))
        {
            // Did not receive expected result
            status = ServiceStatus.ERROR;
            message.append(NO_RESULTS_MSG);
        }
        else
        {
            // Received expected result
            status = ServiceStatus.OK;
            message.append(SERVICE_OK_MSG);
        }

        // Report status
        report(type.toString(), status.toString(), message.toString());
    }
}
