package gov.va.med.monitor;

import gov.va.med.bhie.SnareUser;
import gov.va.med.jmeadows.common.JMeadowsException;
import gov.va.med.jmeadows.dataservicehandler.BHIERelayServiceHandler;
import org.apache.commons.lang3.StringUtils;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import java.util.Locale;

public class SnareworksService extends ServiceBase {
    private static final Logger logger = LoggerFactory.getLogger(SnareworksService.class);
    private static final SnareworksService INSTANCE = new SnareworksService();
    private BHIERelayServiceHandler serviceHandler;

    public static SnareworksService getInstance() {
        return INSTANCE;
    }

    private SnareworksService() {
        super(ServiceType.SnareworksService);
        serviceHandler = new BHIERelayServiceHandler(APP_CONFIG.getBHIERelayServiceURL());
    }

    @Override
    public void run() {
        SnareUser user;

        try {
            user = serviceHandler.getSnareworksUser("f@keU53rN@m3", "f@k3Cr3d3nt!@l5");

            if (user != null) {
                if(user.getSnareMessage().toLowerCase(Locale.getDefault()).indexOf("login failed") >= 0){
                    status = ServiceStatus.OK;
                    message.append(SERVICE_OK_MSG);
                } else {
                    status = ServiceStatus.ERROR;
                    message.append(user.getSnareMessage());
                    logger.error(user.getSnareMessage());
                }
            }
            else {
                status = ServiceStatus.ERROR;
                message.append("SnareUser is null");
                logger.error("SnareUser is null");
            }
        }
        catch (JMeadowsException e) {
            status = ServiceStatus.ERROR;
            message.append(e.getMessage());
            logger.error(e.getMessage());
        }

        // Report status
        report(type.toString(), status.toString(), message.toString());
    }
}
