package gov.va.med.rpc;


public class VistaQueryDirectImpl extends AbstractVistaQuery {
    private static final String PREFIX = "{XWB}";
    private static final String HDR = "007XWB;;;;";

    public VistaQueryDirectImpl() {
        super();
    }

    public VistaQueryDirectImpl(String rpcName) {
        super(rpcName);
    }

    public String buildMessage() {
        StringBuilder sParamsSB = new StringBuilder();
        DictionaryHashList lst = null;
        int queryParamSize = vistaQueryParameters.size();
        StringBuilder strPack = new StringBuilder();
        for (int i = 0; i < queryParamSize; i++) {
            VistaQueryParameter vparam = vistaQueryParameters.get(i);
            int pType = vparam.getType();
            strPack.setLength(0);
            if (pType == LITERAL) {
                strPack.append('0');
                strPack.append(vparam.getValue());
                sParamsSB.append(StringUtils.strPack(strPack.toString(), 3));
            } else if (pType == REFERENCE) {
                strPack.append('1');
                strPack.append(vparam.getValue());
                sParamsSB.append(StringUtils.strPack(strPack.toString(), 3));
            } else if (pType == LIST) {
                strPack.append('2');
                strPack.append(vparam.getValue());
                sParamsSB.append(StringUtils.strPack(strPack.toString(), 3));
                lst = vparam.getList();
            }
        }
        StringBuilder msgSB = new StringBuilder(getVersion());
        if (lst == null) {
            strPack.setLength(0);
            strPack.append(HDR);
            strPack.append(buildApi(rpcName, sParamsSB.toString(), "0"));
            msgSB = new StringBuilder(StringUtils.strPack(strPack.toString(), 5));
        } else  {
            strPack.setLength(0);
            strPack.append(HDR);
            strPack.append(buildApi(rpcName, sParamsSB.toString(), "1"));
            msgSB = new StringBuilder(StringUtils.strPack(strPack.toString(), 5));
            int lstSize = lst.size();
            for (int j = 0; j < lstSize; j++) {
                KeyValuePair entry = lst.get(j);
                String key = (String) entry.getKey();
                String value = (String) entry.getValue();
                if (value == null || "".equals(value)) {
                    value = "\u0001";
                }
                msgSB.append(StringUtils.strPack(key, 3));
                msgSB.append(StringUtils.strPack(value, 3));
            }
            msgSB.append("000");
        }
        StringBuilder prefixMsg = new StringBuilder();
        prefixMsg.append(PREFIX);
        prefixMsg.append(StringUtils.strPack(msgSB.toString(), 5));
        return prefixMsg.toString();
    }
}
