/*
 * Janus 4.0 (c)
 * Copyright (c) 2013 Hawaii Resource Group LLC. All Rights Reserved.
 * Developed for the Pacific Telehealth & Technology Hui and the Pacific Joint Information Technology Center
 * Contributors:
 *      Honorable Senator Daniel K. Inouye
 *      VA Pacific Islands Health Care System
 *      Tripler Army Medical Center
 */

package gov.va.med.rpc.site;


import gov.va.med.rpc.StringUtils;
import gov.va.med.vds.vistabeans.Endpoint;
import gov.va.med.vds.vistabeans.Site;

public class SiteUtils {
    public static Endpoint getEndpointByProtocol(Site site, String protocol) {
        Endpoint rtc = null;
        if (site == null) {
            throw new IllegalArgumentException("site is null");
        }

        if (StringUtils.isEmpty(protocol)) {
            throw new IllegalArgumentException("protocol is null");
        }

        if (site.getEndpoints() != null) {
            rtc = null;
            for (Endpoint endpoint : site.getEndpoints()) {
                if (protocol.equalsIgnoreCase(endpoint.getProtocol())) {
                    rtc = endpoint;
                    break;
                }
            }
        }
        return rtc;
    }

    public static Endpoint getRPCEndpoint(Site site) {
        return getEndpointByProtocol(site, "RPC");
    }

    public static Endpoint getCacheEndpoint(Site site) {
        return getEndpointByProtocol(site, "CACHE");
    }
}
