package gov.va.med.vds.das.beans;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;

import java.util.Date;
import java.util.List;


@JsonIgnoreProperties(ignoreUnknown = true)
public class Observation extends Resource{
    @JsonProperty("status")
    private String status;
    @JsonProperty("reliability")
    private String reliability;
    @JsonProperty("code")
    private CodedObject vitalType;
    @JsonDeserialize(using = DateDeserializer.class)
    @JsonProperty("issued")
    private Date issued;
    @JsonProperty("valueQuantity")
    private ValueQuantity valueQuantity;
    @JsonProperty("interpretation")
    private CodedObject interpretation;
    @JsonProperty("referenceRange")
    private List<CodedObject> referenceRange;

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getReliability() {
        return reliability;
    }

    public void setReliability(String reliability) {
        this.reliability = reliability;
    }

    public CodedObject getVitalType() {
        return vitalType;
    }

    public void setVitalType(CodedObject vitalType) {
        this.vitalType = vitalType;
    }

    public Date getIssued() {
        if(issued == null){
            return null;
        } else {
            return new Date(issued.getTime());
        }
    }

    public void setIssued(Date issued) {
        if(issued == null){
            this.issued = null;
        } else {
            this.issued = new Date(issued.getTime());
        }
    }

    public ValueQuantity getValueQuantity() {
        return valueQuantity;
    }

    public void setValueQuantity(ValueQuantity valueQuantity) {
        this.valueQuantity = valueQuantity;
    }

    public CodedObject getInterpretation() {
        return interpretation;
    }

    public void setInterpretation(CodedObject interpretation) {
        this.interpretation = interpretation;
    }

    public List<CodedObject> getReferenceRange() {
        return referenceRange;
    }

    public void setReferenceRange(List<CodedObject> referenceRange) {
        this.referenceRange = referenceRange;
    }

}
