/**
 * Janus 4.0 (c)
 * Copyright (c) 2011 Hawaii Resource Group LLC. All Rights Reserved.
 * Developed for the Pacific Telehealth & Technology Hui and the Pacific Joint Information Technology Center
 * Contributors:
 *     Honorable Senator Daniel K. Inouye
 *     VA Pacific Islands Health Care System
 *     Tripler Army Medical Center
 */


package gov.va.med.vds.patient.dao;

import gov.va.med.rpc.RPCConnection;
import gov.va.med.rpc.RPCException;
import gov.va.med.vds.base.dao.DaoBase;
import gov.va.med.vds.base.dao.UnsupportedRPCMethodException;
import gov.va.med.vds.patient.dao.rpc.AppointmentsRPC;
import gov.va.med.vds.vistabeans.FreeTextReport;
import gov.va.med.vds.vistabeans.PatientAppointments;
import gov.va.med.vds.vistabeans.QueryBean;

/**
 *
 *
 */
public class AppointmentsDao extends DaoBase {
    public AppointmentsDao(RPCConnection cxn) {
        super(cxn);
    }

    public PatientAppointments[] getPatientAppointments(QueryBean queryBean) throws RPCException, UnsupportedRPCMethodException {

        AppointmentsRPC rpc = new AppointmentsRPC(cxn);
        return rpc.getAppointments(queryBean.getStartDate(), queryBean.getEndDate());

    }

    public PatientAppointments[] getPatientAppointmentsRPC(QueryBean queryBean) throws RPCException, UnsupportedRPCMethodException {

        AppointmentsRPC rpc = new AppointmentsRPC(cxn);
        return rpc.getAppointmentsRPC(queryBean.getStartDate(), queryBean.getEndDate());

    }

    public FreeTextReport getEncountersReport(QueryBean queryBean) throws RPCException {
        AppointmentsRPC rpc = new AppointmentsRPC(cxn);
        return rpc.getEncountersReport(queryBean.getStartDate(), queryBean.getEndDate());
    }
}
