/**
 * Janus 4.0 (c)
 * Copyright (c) 2011 Hawaii Resource Group LLC. All Rights Reserved.
 * Developed for the Pacific Telehealth & Technology Hui and the Pacific Joint Information Technology Center
 * Contributors:
 *     Honorable Senator Daniel K. Inouye
 *     VA Pacific Islands Health Care System
 *     Tripler Army Medical Center
 */


package gov.va.med.vds.patient.dao;

import gov.va.med.rpc.RPCConnection;
import gov.va.med.rpc.RPCException;
import gov.va.med.vds.base.dao.DaoBase;
import gov.va.med.vds.base.dao.UnsupportedRPCMethodException;
import gov.va.med.vds.patient.dao.rpc.OrderRPC;
import gov.va.med.vds.vistabeans.FreeTextReport;
import gov.va.med.vds.vistabeans.Order;
import gov.va.med.vds.vistabeans.QueryBean;

/**
 *
 *
 */
public class OrdersDao extends DaoBase {
    public OrdersDao(RPCConnection cxn) {
        super(cxn);
    }

    public Order[] getPatientOrders(QueryBean queryBean) throws RPCException, UnsupportedRPCMethodException {
        OrderRPC rpc = new OrderRPC(cxn);
        return rpc.getPatientOrders(queryBean.getStartDate(), queryBean.getEndDate());
    }

    public FreeTextReport getOrderDetail(QueryBean queryBean) throws RPCException, UnsupportedRPCMethodException {

        OrderRPC rpc = new OrderRPC(cxn);
        return rpc.getOrderDetail(queryBean.getItemId());
//        }
    }
}
