/*
 * Janus 4.0 (c)
 * Copyright (c) 2014 Hawaii Resource Group LLC. All Rights Reserved.
 * Developed for the Pacific Telehealth & Technology Hui and the Pacific Joint Information Technology Center
 * Contributors:
 *      Honorable Senator Daniel K. Inouye
 *      VA Pacific Islands Health Care System
 *      Tripler Army Medical Center
 */


package gov.va.med.vds.patient.dao;

import gov.va.med.vds.base.dao.DaoBase;
import gov.va.med.vds.base.dataservice.VDSException;
import gov.va.med.vds.vistabeans.QueryBean;
import gov.va.med.vds.vistabeans.VLERDocument;

import java.util.List;

/**
 *
 *
 */
public class VLERDao extends DaoBase {

    public List<VLERDocument> getVLERDocumentList(QueryBean queryBean) throws VDSException {
        try {
            //document query - begin
            return sm_adqHandler.documentQuery(queryBean);
        }  catch (Exception e) {
            throw new VDSException(e);
           //e.printStackTrace(System.out);
        }
    }

    public VLERDocument getVLERDocument(VLERDocument vlerDoc, QueryBean queryBean) throws VDSException {

        try {
            //document query - begin
            return sm_adrHandler.documentRetrieve(vlerDoc, queryBean);

            //print doc query response
//            if(jbe.size() > 0){
//
//                JAXBContext jaxbContext = JAXBContext.newInstance(IdentifiableType.class.getPackage().getName());
//                Marshaller jaxbMarshaller = jaxbContext.createMarshaller();
//
//                // for getting nice formatted output
//                jaxbMarshaller.setProperty(Marshaller.JAXB_FORMATTED_OUTPUT, Boolean.TRUE);
//                jaxbMarshaller.marshal(jbe.get(0), System.out);
//
//            }
        }  catch (Exception e) {
            //e.printStackTrace(System.out);
            throw new VDSException(e);
        }
    }
}
