/**
 * Janus 4.0 (c)
 * Copyright (c) 2011 Hawaii Resource Group LLC. All Rights Reserved.
 * Developed for the Pacific Telehealth & Technology Hui and the Pacific Joint Information Technology Center
 * Contributors:
 *     Honorable Senator Daniel K. Inouye
 *     VA Pacific Islands Health Care System
 *     Tripler Army Medical Center
 */


package gov.va.med.vds.patient.dao;

import gov.va.med.rpc.RPCConnection;
import gov.va.med.rpc.RPCException;
import gov.va.med.vds.base.dao.DaoBase;
import gov.va.med.vds.patient.dao.rpc.VitalsRPC;
import gov.va.med.vds.vistabeans.QueryBean;
import gov.va.med.vds.vistabeans.Vitals;

/**
 *
 *
 */
public class VitalsDao extends DaoBase {
    public VitalsDao(RPCConnection cxn) {
        super(cxn);
    }

    public Vitals[] getPatientVitals(QueryBean queryBean) throws RPCException {
        VitalsRPC rpc = new VitalsRPC(cxn);
        return rpc.getVitalsVPR(queryBean.getStartDate(), queryBean.getEndDate());
    }

    public Vitals[] getPatientCurrentVitals(QueryBean queryBean) throws RPCException {

        VitalsRPC rpc = new VitalsRPC(cxn);
        return rpc.getLatestVitalsVPR();
    }
}
