/*
 * Janus 4.0 (c)
 * Copyright (c) 2013 Hawaii Resource Group LLC. All Rights Reserved.
 * Developed for the Pacific Telehealth & Technology Hui and the Pacific Joint Information Technology Center
 * Contributors:
 *      Honorable Senator Daniel K. Inouye
 *      VA Pacific Islands Health Care System
 *      Tripler Army Medical Center
 */

package gov.va.med.vds.patient.dao.rpc;

import gov.va.med.rpc.*;
import gov.va.med.vds.base.dao.rpc.BaseRPC;
import gov.va.med.vds.patient.dao.rpc.utils.RPCUtil;
import gov.va.med.vds.patient.dao.rpc.utils.VPRUtil;
import gov.va.med.vds.vistabeans.Code;
import gov.va.med.vds.vistabeans.FreeTextReport;
import gov.va.med.vds.vistabeans.Order;
import gov.va.med.vds.vistabeans.Provider;

import java.util.ArrayList;
import java.util.Calendar;
import java.util.Iterator;
import java.util.List;
import java.util.concurrent.Callable;
import java.util.concurrent.ExecutionException;
import java.util.concurrent.ExecutorService;
import java.util.concurrent.Future;
import java.util.concurrent.TimeUnit;

import javax.xml.xpath.XPath;
import javax.xml.xpath.XPathConstants;
import javax.xml.xpath.XPathExpression;
import javax.xml.xpath.XPathExpressionException;
import javax.xml.xpath.XPathFactory;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.w3c.dom.Document;
import org.w3c.dom.Node;
import org.w3c.dom.NodeList;

/**
 *
 *
 */
public class OrderRPC extends BaseRPC {


    private static final Logger LOGGER = LoggerFactory.getLogger(AppointmentsRPC.class);
//    private static final Map<String, String> STATUSMAP = createMap();
//    private Map<String, String> orderTypeMap;

    public OrderRPC(RPCConnection cxn) {
        super(cxn);
    }

//    private static Map<String, String> createMap() {
//        Map<String, String> result = new HashMap<String, String>();
//        result.put("0", "error");
//        result.put("1", "discontinued");
//        result.put("2", "complete");
//        result.put("3", "hold");
//        result.put("4", "flagged");
//        result.put("5", "pending");
//        result.put("6", "active");
//        result.put("7", "expired");
//        result.put("8", "scheduled");
//        result.put("9", "partial results");
//        result.put("10", "delayed");
//        result.put("11", "unreleased");
//        result.put("12", "dc/edit");
//        result.put("13", "cancelled");
//        result.put(" 14", "lapsed");
//        result.put("15", "renewed");
//        result.put("97", "");
//        result.put("98", "new");
//        result.put("99", "no status");
//
//        return Collections.unmodifiableMap(result);
//    }

    public Order[] getPatientOrders(Calendar startDate, Calendar endDate) throws RPCException {
        return getPatientOrders(cxn.getPatientIen(), startDate, endDate);
    }

    public Order[] getPatientOrders(String patientIen, Calendar startDate, Calendar endDate) throws RPCException {
        Order[] orders = getPatientOrdersVPR(patientIen, startDate, endDate);

        return orders;
    }

//    private String buildGetPatientOrdersRequest(String patientIen, Calendar startDate, Calendar endDate) {
//        VistaQuery vq = vistaQueryFactory.getVistaQuery("ORWORR AGET");
//        vq.addParameter(vq.LITERAL, patientIen);
//        vq.addParameter(vq.LITERAL, "1^0"); // Filter
//        vq.addParameter(vq.LITERAL, "1"); // Group
//        String startDateString = Timestamp.fromDateTime(startDate);
//        String[] flds = StringUtils.split(startDateString, StringUtils.PERIOD);
//        startDateString = flds[0];
//        String endDateString = Timestamp.fromDateTime(endDate);
//        flds = StringUtils.split(endDateString, StringUtils.PERIOD);
//        endDateString = flds[0];
//        vq.addParameter(vq.LITERAL, startDateString);
//        vq.addParameter(vq.LITERAL, endDateString);
//        vq.addParameter(vq.LITERAL, "");
//        vq.addParameter(vq.LITERAL, "0");
//        return vq.buildMessage();
//
//    }

//    private Order[] toPatientOrders(String orderResponse, String patientIen, String typeMapResponse) throws RPCException {
//        if ("".equals(orderResponse)) {
//            return new Order[0];
//        }
//        String[] lines = StringUtils.split(orderResponse, StringUtils.CRLF);
//        ArrayList<Order> orderList = new ArrayList<Order>();
//
//        // parse the type map.
//        if (orderTypeMap == null) {
//            orderTypeMap = new HashMap<String, String>();
//
//            if (!"".equals(typeMapResponse)) {
//                String[] typeLines = StringUtils.split(typeMapResponse, StringUtils.CRLF);
//                StringBuilder typeValue = new StringBuilder();
//                for (String typeLine : typeLines) {
//                    String typeFields[] = StringUtils.split(typeLine, StringUtils.CARET);
//
//                    String typeKey = "";
//
//                    for (int fieldNum = 0; fieldNum < typeFields.length; fieldNum++) {
//                        String typeField = typeFields[fieldNum];
//
//                        switch (fieldNum) {
//                            case 0:
//                                typeKey = StringUtils.split(typeField, StringUtils.EQUALS)[0];
//                                break;
//                            case 1:
//                                typeValue.setLength(0);
//                                typeValue.append(typeFields[1]);
//                                break;
//                            case 2:
//                                if (!typeValue.toString().equals(typeField)) {
//                                    typeValue.append(": ");
//                                    typeValue.append(typeField);
//                                }
//                                break;
//                            default:
//                                break;
//                        }
//                    }
//
//                    if (!StringUtils.isEmpty(typeKey) && (typeValue.length() > 0)) {
//                        orderTypeMap.put(typeKey, typeValue.toString());
//                    }
//                }
//            }
//        }
//
//        for (int j = 1; j < lines.length; j++) {
//            String line = lines[j];
//
//            if ("".equals(line))
//                continue;
//
//            // parse the line into fields
//            String[] fields = StringUtils.split(line, StringUtils.CARET);
//
//            Order order = new Order();
//            fillCommonDataBeanValues(order);
//            for (int i = 0; i < fields.length; i++) {
//                switch (i) {
//                    case 0:
//                        order.setOrderid(fields[i]);
//                        break;
//                    case 1:
//                        order.setType(orderTypeMap.get(fields[i]));
//                        break;
//                    case 2:
//                        order.setEnteredDate(Timestamp.toDateTime(fields[i]));
//                        break;
//                    default:
//                        break;
//                }
//            }
//            orderList.add(order);
//        }
//
//        // we need to call an RPC for each order in the list do get more of the details
//        for (Order order : orderList) {
//            String request = buildGetPatientOrderAddlInfoRequest(order.getOrderid());
//            String response = (String) cxn.query(request);
//
//            addOrderAddlInfo(order, response);
//
//            List<Code> codeList = new ArrayList<Code>();
//            Code orderCode = new Code();
//            orderCode.setSystem("TEXT");
//            orderCode.setCode(order.getDescription());
//            orderCode.setDisplay(order.getDescription());
//            codeList.add(orderCode);
//            order.setCodes(codeList.toArray(new Code[0]));
//        }
//
//        return orderList.toArray(new Order[0]);
//    }


//    private String buildGetPatientOrderAddlInfoRequest(String orderId) {
//        VistaQuery vq = vistaQueryFactory.getVistaQuery("ORWORR GETBYIFN");
//        vq.addParameter(vq.LITERAL, orderId);
//
//        return vq.buildMessage();
//    }

//    private void addOrderAddlInfo(Order order, String orderAddlInfo) {
//        String[] lines = StringUtils.split(orderAddlInfo, StringUtils.CRLF);
//
//        // Parse the first line
//        String[] fields = StringUtils.split(lines[0], StringUtils.CARET);
//        for (int i = 0; i < fields.length; i++) {
//            switch (i) {
//                case 3:
//                    order.setOrderDate(Timestamp.toDateTime(fields[i]));
//                    break;
//                case 4:
//                    order.setCompletedDate(Timestamp.toDateTime(fields[i]));
//                    break;
//                case 5:
//                    order.setStatus(STATUSMAP.get(fields[i]));
//                    break;
//                case 10:
//                    order.setOrderingProvider(fields[i]);
//                    break;
//                default:
//                    break;
//            }
//        }
//
//        // The Second Line is order Text
//        // Descriptions for this RPC come back with an extra 't' at the beginning, so we'll remove it
//        String desc = lines[1];
//        if (desc.charAt(0) == 't')
//            desc = desc.substring(1);
//        order.setDescription(desc);
//
//    }

    public FreeTextReport getOrderDetail(String orderId) throws RPCException {
        return getOrderDetail(cxn.getPatientIen(), orderId);
    }

    public FreeTextReport getOrderDetail(String patientIen, String orderId) throws RPCException {
        String request = buildGetPatientOrderDetailRequest(patientIen, orderId);
        // The result of this RPC is a Formatted Text Report
        String reportText = (String) cxn.query(request);

        FreeTextReport report = new FreeTextReport();
        report.setReportText(reportText);
        fillCommonDataBeanValues(report);

        return report;
    }

    private String buildGetPatientOrderDetailRequest(String patientIen, String orderId) {
        VistaQuery vquery = vistaQueryFactory.getVistaQuery("ORQOR DETAIL");
        vquery.addParameter(VistaQuery.LITERAL, orderId);
        vquery.addParameter(VistaQuery.LITERAL, patientIen);

        return vquery.buildMessage();
    }


    public Order[] getPatientOrdersVPR(Calendar startDate, Calendar endDate) throws RPCException {
        return getPatientOrdersVPR(cxn.getPatientIen(), startDate, endDate);
    }

    public Order[] getPatientOrdersVPR(String patientIen, Calendar startDate, Calendar endDate) throws RPCException {
        Order[] rtc;
        String request = buildGetPatientOrdersVPRRequest(patientIen, startDate, endDate);
        String response = (String) cxn.query(request);

        Order[] orders =  parseOrders(response);
        // filter date range by order date
        if (orders == null) {
            rtc = new Order[0];
        } else {
            rtc = filterOrdersByOrderDate(orders, startDate, endDate);
        }
        return rtc;
    }

    private Order[] filterOrdersByOrderDate(Order[] orders, Calendar startDate, Calendar endDate) {
        ArrayList<Order> ordersFilteredList = new ArrayList<Order>();
        Order[] rtc;

        for (Order order: orders) {
            Calendar orderDate = order.getOrderDate();
            if (orderDate.compareTo(startDate) >= 0 && orderDate.compareTo(endDate) <= 0) {
                ordersFilteredList.add(order);
            }
        }
        if (ordersFilteredList.isEmpty()) {
            rtc = new Order[0];
        } else {
            rtc = ordersFilteredList.toArray(new Order[0]);
        }
        return rtc;
    }

    private String buildGetPatientOrdersVPRRequest(String patientIen, Calendar startDate, Calendar endDate) {
        return VPRUtil.buildVPRRequest(vistaQueryFactory, patientIen, startDate, endDate, VPRUtil.VPRType.ORDERS);
    }

    private Order[] parseOrders(String response) throws RPCException {
        Order[] rtc;
        if ("".equals(response)) {
            rtc = new Order[0];
        } else {
    
            StringBuilder sbld = new StringBuilder(response);
            sbld.insert(0, "<?xml version=\"1.0\" encoding=\"UTF-8\"?>");
    
            ArrayList<Order> orderList = new ArrayList<Order>();
    
            final String XPATH_ORDER = "//order";
    
            Document document = null;
            XPathExpression exprOrder = null;
    
            try {
                document = parseXMLDocument(sbld.toString());
                XPathFactory xPathFactory = XPathFactory.newInstance();
                XPath xpath = xPathFactory.newXPath();
                exprOrder = xpath.compile(XPATH_ORDER);
            } catch (Exception e) {
                throw new RPCException(e);
            }
    
            NodeList orderNodeList = null;
            try {
                orderNodeList = (NodeList) exprOrder.evaluate(document, XPathConstants.NODESET);
            } catch (XPathExpressionException e) {
                throw new RPCException(e);
            }
    
            List<VPROrderParser> orderParserList = new ArrayList<VPROrderParser>();
            int orderNodeListLength = orderNodeList.getLength();
            for (int orderNum = 0; orderNum < orderNodeListLength; orderNum++) {
                Node orderNode = orderNodeList.item(orderNum);
                orderNode.getParentNode().removeChild(orderNode);
    
                orderParserList.add(new VPROrderParser(orderNode));
            }
    
            ExecutorService executorService = cxn.getParserThreadPool().getThreadPool();
            List<Future<Order>> futures = null;
            try {
                futures = executorService.invokeAll(orderParserList, cxn.getParserThreadPool().getPoolTimeoutSeconds(), TimeUnit.SECONDS);
    
                if (futures == null) {
                    throw new RPCException("Failed to parse order results : order node parser futures list is null.");
                }
            } catch (InterruptedException e) {
                RPCUtil.logErrorMessage(LOGGER, e);
                throw new RPCException(e);
            }
    
            Iterator<Future<Order>> futureIterator = futures.iterator();
    
            while (futureIterator.hasNext()) {
                try {
                    Future<Order> future = futureIterator.next();
                    if (future.isCancelled()) {
                        throw new RPCException("Failed to parse VPR Order Data");
                    } else {
                        Order order = future.get();
    
                        // exclude null results
                        if (order != null) {
                            orderList.add(order);
                        }
                    }
                } catch (InterruptedException ie) {
                    RPCUtil.logErrorMessage(LOGGER, ie);
                } catch (ExecutionException ee) {
                    RPCUtil.logErrorMessage(LOGGER, ee);
                }
            }
    
            rtc = orderList.toArray(new Order[0]);
        }
        return rtc;
    }

    private class VPROrderParser implements Callable<Order> {
        private Node orderNode;

        public VPROrderParser(Node orderNode) {
            this.orderNode = orderNode;
        }

        public Order call() throws Exception {
            final String XPATH_CONTENT = "./content";
            final String XPATH_ENTERED = "./entered/@value";
//            final String XPATH_FACILITY_CODE = "./facility/@code";
//            final String XPATH_FACILITY_NAME = "./facility/@name";
//            final String XPATH_GROUP = "./group/@value";
            final String XPATH_ID = "./id/@value";
//            final String XPATH_LOCATION_CODE = "./location/@code";
//            final String XPATH_LOCATION_NAME = "./location/@name";
//            final String XPATH_NAME_CODE = "./name/@code";
//            final String XPATH_NAME_NAME = "./name/@name";
            final String XPATH_PROVIDER_CODE = "./provider/@code";
            final String XPATH_PROVIDER_NAME = "./provider/@name";
            final String XPATH_PROVIDER_ROLE = "./provider/@role";
            final String XPATH_PROVIDER_TAXOMOMY_CODE = "./provider/@taxonomyCode";
            final String XPATH_PROVIDER_PROVIDER_TYPE = "./provider/@providerType";
            final String XPATH_PROVIDER_CLASSIFICATION = "./provider/@classification";
            final String XPATH_PROVIDER_SPECIALIZATION = "./provider/@specialization";
            final String XPATH_PROVIDER_SERVICE = "./provider/@service";
            final String XPATH_PROVIDER_OFFICE_PHONE = "./provider/@officePhone";
            final String XPATH_PROVIDER_ANALOG_PAGER = "./provider/@analogPager";
            final String XPATH_PROVIDER_FAX = "./provider/@fax";
            final String XPATH_PROVIDER_EMAIL = "./provider/@email";
//            final String XPATH_SERVICE = "./service/@value";
            final String XPATH_START = "./start/@value";
//            final String XPATH_STATUS_CODE = "./status/@code";
            final String XPATH_STATUS_NAME = "./status/@name";
//            final String XPATH_STATUS_VUID = "./status/@code";
            final String XPATH_STOP = "./stop/@value";
            final String XPATH_TYPE = "./type/@value";

            final String XPATH_CODING_SYSTEM_CODE = "./codingSystem/@code";
            final String XPATH_CODING_SYSTEM_NAME = "./codingSystem/@name";
            final String XPATH_VUID = "./vuid/@value";

            XPathExpression exprContent = null;
            XPathExpression exprEntered = null;
//                    exprFacilityCode = null, exprFacilityName = null,
            XPathExpression exprId = null;
//                    exprGroup = null, exprLocationCode = null, exprLocationName = null,
//                    exprNameCode = null, exprNameName = null,
            XPathExpression exprProviderCode = null;
            XPathExpression exprProviderName = null;
            XPathExpression exprProviderRole = null;
            XPathExpression exprProviderTaxonomyCode = null;
            XPathExpression exprProviderProviderType = null;
            XPathExpression exprProviderClassification = null;
            XPathExpression exprProviderSpecialization = null;
            XPathExpression exprProviderService = null;
            XPathExpression exprProviderOfficePhone = null;
            XPathExpression exprProviderAnalogPager = null;
            XPathExpression exprProviderFax = null;
            XPathExpression exprProviderEmail = null;
//                    exprService = null, exprStatusCode = null, exprStatusVuid= null,
            XPathExpression exprStatusName = null;
            XPathExpression exprStart = null;
            XPathExpression exprStop = null;
            XPathExpression exprType = null;
            XPathExpression exprCodingSystemCode = null;
            XPathExpression exprCodingSystemName = null;
            XPathExpression exprVuid = null;

            XPathFactory xPathFactory = XPathFactory.newInstance();
            XPath xpath = xPathFactory.newXPath();

            try {
                exprContent = xpath.compile(XPATH_CONTENT);
                exprEntered = xpath.compile(XPATH_ENTERED);
//                exprFacilityCode = xpath.compile(XPATH_FACILITY_CODE);
//                exprFacilityName = xpath.compile(XPATH_FACILITY_NAME);
                exprId = xpath.compile(XPATH_ID);
//                exprGroup = xpath.compile(XPATH_GROUP);
//                exprLocationCode = xpath.compile(XPATH_LOCATION_CODE);
//                exprLocationName = xpath.compile(XPATH_LOCATION_NAME);
//                exprNameCode = xpath.compile(XPATH_NAME_CODE);
//                exprNameName = xpath.compile(XPATH_NAME_NAME);
                exprProviderCode = xpath.compile(XPATH_PROVIDER_CODE);
                exprProviderName = xpath.compile(XPATH_PROVIDER_NAME);
                exprProviderRole = xpath.compile(XPATH_PROVIDER_ROLE);
                exprProviderTaxonomyCode = xpath.compile(XPATH_PROVIDER_TAXOMOMY_CODE);
                exprProviderProviderType = xpath.compile(XPATH_PROVIDER_PROVIDER_TYPE);
                exprProviderClassification = xpath.compile(XPATH_PROVIDER_CLASSIFICATION);
                exprProviderSpecialization = xpath.compile(XPATH_PROVIDER_SPECIALIZATION);
                exprProviderService = xpath.compile(XPATH_PROVIDER_SERVICE);
                exprProviderOfficePhone = xpath.compile(XPATH_PROVIDER_OFFICE_PHONE);
                exprProviderAnalogPager = xpath.compile(XPATH_PROVIDER_ANALOG_PAGER);
                exprProviderFax = xpath.compile(XPATH_PROVIDER_FAX);
                exprProviderEmail = xpath.compile(XPATH_PROVIDER_EMAIL);
//                exprService = xpath.compile(XPATH_SERVICE);
//                exprStart = xpath.compile(XPATH_START);
//                exprStatusCode = xpath.compile(XPATH_STATUS_CODE);
                exprStatusName = xpath.compile(XPATH_STATUS_NAME);
//                exprStatusVuid = xpath.compile(XPATH_STATUS_VUID);
                exprStop = xpath.compile(XPATH_STOP);
                exprType = xpath.compile(XPATH_TYPE);
                exprCodingSystemCode = xpath.compile(XPATH_CODING_SYSTEM_CODE);
                exprCodingSystemName = xpath.compile(XPATH_CODING_SYSTEM_NAME);
                exprVuid = xpath.compile(XPATH_VUID);
            } catch (XPathExpressionException e) {
                throw new RPCException(e);
            }

            String enteredString = RPCUtil.evaluateNodeToString(orderNode, exprEntered, LOGGER);
//            String startString = RPCUtil.evaluateNodeToString(orderNode, exprStart, LOGGER);
            String stopString = RPCUtil.evaluateNodeToString(orderNode, exprStop, LOGGER);
            Calendar entered = null;
//            Calendar start = null;
            Calendar stop = null;
            if (!StringUtils.isEmpty(enteredString)) {
                entered = Timestamp.toDateTime(enteredString);
            }
//            if (!StringUtils.isEmpty(startString)) {
//                start = Timestamp.toDateTime(startString);
//            } else {
//                start = Timestamp.toDateTime(enteredString);
//            }
            if (!StringUtils.isEmpty(stopString)) {
                stop = Timestamp.toDateTime(stopString);
            }

            String content = RPCUtil.evaluateNodeToString(orderNode, exprContent, LOGGER);
//            String facilityCode = RPCUtil.evaluateNodeToString(orderNode, exprFacilityCode, logger);
//            String facilityName = RPCUtil.evaluateNodeToString(orderNode, exprFacilityName, logger);
            String id = RPCUtil.evaluateNodeToString(orderNode, exprId, LOGGER);
//            String group = RPCUtil.evaluateNodeToString(orderNode, exprGroup, logger);
//            String locationCode = RPCUtil.evaluateNodeToString(orderNode, exprLocationCode, logger);
//            String locationName = RPCUtil.evaluateNodeToString(orderNode, exprLocationName, logger);
//            String nameCode = RPCUtil.evaluateNodeToString(orderNode, exprNameCode, logger);
//            String nameName = RPCUtil.evaluateNodeToString(orderNode, exprNameName, logger);
            String providerCode = RPCUtil.evaluateNodeToString(orderNode, exprProviderCode, LOGGER);
            String providerName = RPCUtil.evaluateNodeToString(orderNode, exprProviderName, LOGGER);
            String providerRole = RPCUtil.evaluateNodeToString(orderNode, exprProviderRole, LOGGER);
            String providerTaxonomyCode = RPCUtil.evaluateNodeToString(orderNode, exprProviderTaxonomyCode, LOGGER);
            String providerProviderType = RPCUtil.evaluateNodeToString(orderNode, exprProviderProviderType, LOGGER);
            String providerClassification = RPCUtil.evaluateNodeToString(orderNode, exprProviderClassification, LOGGER);
            String providerSpecialization = RPCUtil.evaluateNodeToString(orderNode, exprProviderSpecialization, LOGGER);
            String providerService = RPCUtil.evaluateNodeToString(orderNode, exprProviderService, LOGGER);
            String providerOfficePhone = RPCUtil.evaluateNodeToString(orderNode, exprProviderOfficePhone, LOGGER);
            String providerAnalogPager = RPCUtil.evaluateNodeToString(orderNode, exprProviderAnalogPager, LOGGER);
            String providerFax = RPCUtil.evaluateNodeToString(orderNode, exprProviderFax, LOGGER);
            String providerEmail = RPCUtil.evaluateNodeToString(orderNode, exprProviderEmail, LOGGER);
//            String service = RPCUtil.evaluateNodeToString(orderNode, exprService, logger);
//            String statusCode = RPCUtil.evaluateNodeToString(orderNode, exprStatusCode, logger);
            String statusName = RPCUtil.evaluateNodeToString(orderNode, exprStatusName, LOGGER);
//            String statusVuid = RPCUtil.evaluateNodeToString(orderNode, exprStatusVuid, logger);
            String type = RPCUtil.evaluateNodeToString(orderNode, exprType, LOGGER);

            String codingSystemCode = RPCUtil.evaluateNodeToString(orderNode, exprCodingSystemCode, LOGGER);
            String codingSystemName = RPCUtil.evaluateNodeToString(orderNode, exprCodingSystemName, LOGGER);
            String vuid = RPCUtil.evaluateNodeToString(orderNode, exprVuid, LOGGER);

            Order order = new Order();
            fillCommonDataBeanValues(order);

            if (content != null) {
                order.setDescription(content.trim());
            }
            order.setEnteredDate(entered);
            order.setCompletedDate(stop);
            //start = collection date for labs
            //order.setColectionDate(start);
            order.setOrderDate(entered);
            order.setOrderid(id);
            order.setType(type);
            order.setStatus(statusName);

            Provider provider = new Provider();
            provider.setName(providerName);
            provider.setRole(providerRole);
            provider.setCode(providerCode);
            provider.setTaxonomyCode(providerTaxonomyCode);
            provider.setProviderType(providerProviderType);
            provider.setClassification(providerClassification);
            provider.setSpecialization(providerSpecialization);
            provider.setPhone(providerOfficePhone);
            provider.setService(providerService);
            provider.setEmail(providerEmail);
            provider.setFax(providerFax);
            provider.setAnalogPager(providerAnalogPager);

            order.setOrderingProvider(provider);

            List<Code> codeList = new ArrayList<Code>();
            Code orderCode = new Code();
            orderCode.setSystem("TEXT");
            orderCode.setCode(order.getDescription());
            orderCode.setDisplay(order.getDescription());
            codeList.add(orderCode);
            if (vuid != null) {
                Code vuidCode = new Code();
                vuidCode.setCode(vuid);
                vuidCode.setSystem("VUID");
                codeList.add(vuidCode);
            }
            if (codingSystemCode != null) {
                Code codingSystem = new Code();
                codingSystem.setCode(codingSystemCode);
                codingSystem.setSystem(codingSystemName);
                codeList.add(codingSystem);
            }
            order.setCodes(codeList.toArray(new Code[0]));

            return order;
        }
    }

}
