/**
 * Janus 4.0 (c)
 * Copyright (c) 2011 Hawaii Resource Group LLC. All Rights Reserved.
 * Developed for the Pacific Telehealth & Technology Hui and the Pacific Joint Information Technology Center
 * Contributors:
 *     Honorable Senator Daniel K. Inouye
 *     VA Pacific Islands Health Care System
 *     Tripler Army Medical Center
 */


package gov.va.med.vds.vistabeans;

/**
 * All beans extend this class.  This class has attributes to define the source ehr. (IE. vista)
 */
public class DataBean implements Cloneable {
    /**
     * the site code of the source ehr of the data.
     */
    private Site site;
    private String sourceProtocol;
    private String patientName;
    private String patientId;
    private Code[] codes;
    /** DoD CDR record event identifier **/
    private String cdrEventId;
    /** VLER narrative identifier **/
    private String narrativeId;
    private String narrative;

    public Site getSite() {
        return site;
    }

    public void setSite(Site site) {
        this.site = site;
    }

    public String getSourceProtocol() {
        return sourceProtocol;
    }

    public void setSourceProtocol(String sourceProtocol) {
        this.sourceProtocol = sourceProtocol;
    }

    public String getPatientName() {
        return patientName;
    }

    public void setPatientName(String patientName) {
        this.patientName = patientName;
    }

    public String getPatientId() {
        return patientId;
    }

    public void setPatientId(String patientId) {
        this.patientId = patientId;
    }

    public Code[] getCodes() {
        Code[] rtc = null;
        if (codes != null) {
            rtc = codes.clone();
        }
        return rtc;
    }

    public void setCodes(Code[] codes) {
        if (codes == null) {
            this.codes = null;
        } else {
            this.codes = codes.clone();
        }
    }

    public String getCdrEventId() {
        return cdrEventId;
    }

    public void setCdrEventId(String cdrEventId) {
        this.cdrEventId = cdrEventId;
    }

    public String getNarrativeId() {
        return narrativeId;
    }

    public void setNarrativeId(String narrativeId) {
        this.narrativeId = narrativeId;
    }

    public String getNarrative() {
        return narrative;
    }

    public void setNarrative(String narrative) {
        this.narrative = narrative;
    }

    //@Override
    public Object clone() {
        Object copyBean = null;
        try {
            copyBean = super.clone();
        } catch (CloneNotSupportedException e) {
            // this should never happen
            throw new InternalError(e.toString());
        }
        //copyBean.innerCoffee = (Coffee) innerCoffee.clone();
        return copyBean;
    }

    public DataBean getCopy() {
        return (DataBean) this.clone();
    }

}