/*
 * Janus 4.0 (c)
 * Copyright (c) 2014 Hawaii Resource Group LLC. All Rights Reserved.
 * Developed for the Pacific Telehealth & Technology Hui and the Pacific Joint Information Technology Center
 * Contributors:
 *      Honorable Senator Daniel K. Inouye
 *      VA Pacific Islands Health Care System
 *      Tripler Army Medical Center
 */


package gov.va.med.vds.vistabeans.das;

import com.fasterxml.jackson.annotation.JsonProperty;
import gov.va.med.vds.dataservicehandler.DASServiceHandler;
import gov.va.med.vds.vistabeans.*;

import java.util.Calendar;
import java.util.List;

/**
 * This class contains data regarding a VLER document.
 */
public class DASResultCollection extends DataBean {
    private List<Allergy> allergies;
    private List<Vitals> vitals;
    private List<Problem> problems;
    private List<Procedure> procedures;
    private List<Immunization> immunizations;
    private List<PatientDemographics> demographics;
    private List<VLERDocument> documents;

    private List<Narrative> narratives;
    private List<SiteStatus> statusList;
    private List<String> errorList;

    public DASResultCollection(){}

    public List<Allergy> getAllergies() {
        return allergies;
    }

    public void setAllergies(List<Allergy> allergies) {
        this.allergies = allergies;
    }

    public List<Vitals> getVitals() {
        return vitals;
    }

    public void setVitals(List<Vitals> vitals) {
        this.vitals = vitals;
    }

    public List<Problem> getProblems() {
        return problems;
    }

    public void setProblems(List<Problem> problems) {
        this.problems = problems;
    }

    public List<Procedure> getProcedures() {
        return procedures;
    }

    public void setProcedures(List<Procedure> procedures) {
        this.procedures = procedures;
    }

    public List<Immunization> getImmunizations() {
        return immunizations;
    }

    public void setImmunizations(List<Immunization> immunizations) {
        this.immunizations = immunizations;
    }

    public List<PatientDemographics> getDemographics() {
        return demographics;
    }

    public void setDemographics(List<PatientDemographics> demographics) {
        this.demographics = demographics;
    }

    public List<VLERDocument> getDocuments() {
        return documents;
    }

    public void setDocuments(List<VLERDocument> documents) {
        this.documents = documents;
    }

    public List<Narrative> getNarratives() {
        return narratives;
    }

    public void setNarratives(List<Narrative> narratives) {
        this.narratives = narratives;
    }

    public List<SiteStatus> getStatusList() {
        return statusList;
    }

    public void setStatusList(List<SiteStatus> statusList) {
        this.statusList = statusList;
    }

    public List<String> getErrorList() {
        return errorList;
    }

    public void setErrorList(List<String> errorList) {
        this.errorList = errorList;
    }
}