/*
 * Janus 4.0 (c)
 * Copyright (c) 2016 Hawaii Resource Group LLC. All Rights Reserved.
 * Developed for the Pacific Telehealth & Technology Hui and the Pacific Joint Information Technology Center
 * Contributors:
 *      Honorable Senator Daniel K. Inouye
 *      VA Pacific Islands Health Care System
 *      Tripler Army Medical Center
 */

package gov.va.med.vds.common.dataservice;

import gov.va.med.vds.TestSiteUtils;
import gov.va.med.vds.vistabeans.Site;
import org.junit.Test;

import java.util.List;

import static junit.framework.Assert.assertNotNull;
import static junit.framework.Assert.assertTrue;

public class VistaStatusServiceTest {

    @Test
    public void testGetVistaStatus() {
        VistaStatusService vistaStatusService = new VistaStatusService();

        List<Site> allSites = TestSiteUtils.getInstance().getAllSites();

        List<VistaStatus> vistaStatusList = vistaStatusService.getVistaStatusList(allSites);

        assertTrue(vistaStatusList.size() > 0);

        for(VistaStatus vistaStatus : vistaStatusList) {
            assertNotNull(vistaStatus.getSite());
        }
    }
}
