/*
 * Janus 4.0 (c)
 * Copyright (c) 2014 Hawaii Resource Group LLC. All Rights Reserved.
 * Developed for the Pacific Telehealth & Technology Hui and the Pacific Joint Information Technology Center
 * Contributors:
 *      Honorable Senator Daniel K. Inouye
 *      VA Pacific Islands Health Care System
 *      Tripler Army Medical Center
 */
 
 
package gov.va.med.vds.dataservice.patient;

import gov.va.med.rpc.StringUtils;
import gov.va.med.vds.base.dataservice.DataServiceBase;
import gov.va.med.vds.base.dataservice.VDSException;
import gov.va.med.vds.dataservice.DataServiceBaseTest;
import gov.va.med.vds.patient.dataservice.ProceduresDataService;
import gov.va.med.vds.vistabeans.Procedure;
import gov.va.med.vds.vistabeans.QueryBean;
import org.junit.Test;

import java.util.Calendar;
import java.util.List;

import static org.junit.Assert.*;

/**
 *
 *
 */
public class ProceduresDataServiceTest extends DataServiceBaseTest
{
    @Test
    public void testGetPatientProcedures()
    {
        try
        {
            Calendar startDate = Calendar.getInstance();
            Calendar endDate = Calendar.getInstance();
            startDate.set(1980, Calendar.OCTOBER, 1);
            endDate.set(2013, Calendar.NOVEMBER, 1);

            QueryBean queryBean = setupQuery(user, patient, startDate, endDate);

            ProceduresDataService proceduresService = new ProceduresDataService();
            List<Procedure> procedures = proceduresService.getPatientProcedures(queryBean);
            assertTrue(procedures.size() > 0);
            for(Procedure procedure : procedures)
            {
                assertFalse(StringUtils.isEmpty(procedure.getSourceProtocol()));
                assertFalse(procedure.getSite() == null);
                assertFalse(procedure.getDescription().equals(DataServiceBase.CONNECTION_UNAVAILABLE));
            }
        }
        catch(VDSException ex)
        {
            fail(ex.getMessage());
        }
    }
}
