/**
 * Janus 4.0 (c)
 * Copyright (c) 2011 Hawaii Resource Group LLC. All Rights Reserved.
 * Developed for the Pacific Telehealth & Technology Hui and the Pacific Joint Information Technology Center
 * Contributors:
 *     Honorable Senator Daniel K. Inouye
 *     VA Pacific Islands Health Care System
 *     Tripler Army Medical Center
 */
 
 
package gov.va.med.vds.rpc;

import gov.va.med.rpc.RPCException;
import gov.va.med.vds.patient.dao.rpc.ClinicalRemindersRPC;
import gov.va.med.vds.vistabeans.ClinicalReminder;
import gov.va.med.vds.vistabeans.FreeTextReport;
import org.junit.Test;

import static org.junit.Assert.assertTrue;

/**
 *
 *
 */
public class ClinicalRemindersRPCTest extends BaseRPCTest
{
    @Test
    public void testGetClinicalReminders() throws RPCException
    {
        ClinicalRemindersRPC clinicalRemindersRPC = new ClinicalRemindersRPC(vistaCxn);

        ClinicalReminder[] reminders = clinicalRemindersRPC.getClinicalReminders(patientId);
        assertTrue(reminders.length > 0);
    }

    @Test
    public void testGetClinicalReminderDetail() throws RPCException
    {
        ClinicalRemindersRPC clinicalRemindersRPC = new ClinicalRemindersRPC(vistaCxn);

        ClinicalReminder[] reminders = clinicalRemindersRPC.getClinicalReminders(patientId);
        assertTrue(reminders.length > 0);

        FreeTextReport reminderDetail = clinicalRemindersRPC.getClinicalReminderDetail(patientId, reminders[0].getId());
        assertTrue(reminderDetail.getReportText().length() > 0);
    }
}
