package gov.va.med.monitor;


import org.apache.log4j.Logger;

public class PurgeTask extends ServiceBase
{
    private static final PurgeTask INSTANCE = new PurgeTask();
    private static final Logger LOGGER =
            Logger.getLogger(PurgeTask.class.getName());

    private PurgeTask()
    {
        super(ServiceType.DESService);
    }

    public static PurgeTask getInstance()
    {
        return INSTANCE;
    }

    @Override
    public void run()
    {
        try
        {


            // Check result records
            if (DatabaseHandler.getInstance().purgeLogs())
            {
                // Received expected result
                status = ServiceStatus.OK;
                message.append(SERVICE_OK_MSG);
                LOGGER.debug("PURGE_TASK: " + SERVICE_OK_MSG);
            }
            else
            {
                // Did not receive expected result
                status = ServiceStatus.ERROR;
                message.append(NO_RESULTS_MSG);
                LOGGER.error("PURGE_TASK: " + NO_RESULTS_MSG);
            }
        }
        catch (Exception e)
        {
            status = ServiceStatus.ERROR;
            message.append(e.getMessage());
            LOGGER.error("PURGE_TASK: " + e.getMessage());
        }

        // Report status
//        report(type.toString(), status.toString(), message.toString());
    }
}
