package gov.va.med.monitor;


import gov.va.med.des.common.JMeadowsException;
import gov.va.med.des.dataservicehandler.SystemMonitorHandler;
import org.apache.log4j.Logger;

public class SystemMonitor extends ServiceBase {
    private static final SystemMonitor INSTANCE = new SystemMonitor();
    private SystemMonitorHandler serviceHandler;
    private static final Logger LOGGER =
            Logger.getLogger(SystemMonitor.class.getName());

    private SystemMonitor() {
        super(ServiceType.DESService);
        serviceHandler = new SystemMonitorHandler(APP_CONFIG.getSystemMonitorPath());
    }

    public static SystemMonitor getInstance() {
        return INSTANCE;
    }

    @Override
    public void run() {
        try {
            // Check result records
            if (serviceHandler.logSystemInfo()) {
                // Received expected result
                status = ServiceStatus.OK;
                message.append(SERVICE_OK_MSG);
                LOGGER.debug("SYSTEM_MONITOR: " + SERVICE_OK_MSG);
            } else {
                // Did not receive expected result
                status = ServiceStatus.ERROR;
                message.append(NO_RESULTS_MSG);
                LOGGER.error("SYSTEM_MONITOR: " + NO_RESULTS_MSG);
            }
        } catch (JMeadowsException e) {
            status = ServiceStatus.ERROR;
            message.append(e.getMessage());
            LOGGER.error("SYSTEM_MONITOR: " + e.getMessage());
        }

        // Report status
//        report(type.toString(), status.toString(), message.toString());
    }
}
