package gov.va.med.jmeadows.dao.util;

import gov.va.med.jmeadows.common.AppConfig;
import gov.va.med.jmeadows.dataservicehandler.DataServiceHandler;
import org.apache.commons.lang3.StringUtils;

public class PatientMultiLocQueryCfgBuilder extends MultiLocQueryCfgBuilder {
    protected PatientLocation _location;

    public PatientMultiLocQueryCfgBuilder location(PatientLocation location) {
        this._location = location;
        return this;
    }

    public PatientMultiLocationQueryConfig build() {
        if (StringUtils.isBlank(connectionErrorMsg)) {
            this.connectionErrorMsg(AppConfig.getInstance().getErrorMsgConnectionUnavailable());
        }

        if (StringUtils.isNotBlank(smartBeanMappingMethod)) {
            this.resultRequiresBeanMapping(true);
        }

        return new PatientMultiLocationQueryConfig(this);
    }

    public PatientMultiLocQueryCfgBuilder dataServiceHandler(DataServiceHandler dataServiceHandler)
    {
        this.dataServiceHandler = dataServiceHandler;
        return this;
    }

    public PatientMultiLocQueryCfgBuilder dataServiceMethod(String dataServiceMethod)
    {
        this.dataServiceMethod = dataServiceMethod;
        return this;
    }

    public PatientMultiLocQueryCfgBuilder dataServiceMethodArgs(Object...args) {
        this.dataServiceMethodArgs = args;
        return this;
    }

    public PatientMultiLocQueryCfgBuilder resultRequiresBeanMapping(boolean resultRequiresBeanMapping)
    {
        this.resultRequiresBeanMapping = resultRequiresBeanMapping;
        return this;
    }

    public PatientMultiLocQueryCfgBuilder smartBeanMappingMethod(String smartBeanMappingMethod)
    {
        this.smartBeanMappingMethod = smartBeanMappingMethod;
        return this;
    }

    public PatientMultiLocQueryCfgBuilder connectionErrorMsg(String connectionErrorMsg)
    {
        this.connectionErrorMsg = connectionErrorMsg;
        return this;
    }

    public PatientMultiLocQueryCfgBuilder isSingleResultExpected(boolean isSingleResultExpected)
    {
        this.isSingleResultExpected = isSingleResultExpected;
        return this;
    }

    /**
     * @return the _location
     */
    public PatientLocation get_location() {
        return _location;
    }

    /**
     * @param location the _location to set
     */
    public void set_location(PatientLocation location) {
        _location = location;
    }
}
