/**
 * Janus 4.0 (c)
 * Copyright (c) 2011 Hawaii Resource Group LLC. All Rights Reserved.
 * Developed for the Pacific Telehealth & Technology Hui and the Pacific Joint Information Technology Center
 * Contributors:
 *     Honorable Senator Daniel K. Inouye
 *     VA Pacific Islands Health Care System
 *     Tripler Army Medical Center
 */
 
 
package gov.va.med.jmeadows.dao.patient;

import gov.va.med.jmeadows.common.JMeadowsException;
import gov.va.med.jmeadows.dao.beans.JMeadowsQuery;
import gov.va.med.jmeadows.dao.patient.MedicationsDao;
import gov.va.med.vds.webservice.Medication;
import org.junit.Test;

import java.util.List;

import static org.junit.Assert.assertTrue;
import static org.junit.Assert.fail;

/**
 *
 * @author vhahonbrunos
 */
public class MedicationsDaoTest extends DaoBaseTest
{
    private MedicationsDao medsDao;
    
    public MedicationsDaoTest() throws JMeadowsException
    {
        medsDao = new MedicationsDao();
    }

    @Test
    public void testGetPatientMedicationsOutpatient()
    {
        try {
            JMeadowsQuery qb = setupQuery(user, patient, startDate, endDate);
            //test outpatient meds
            qb.setStatus("O");
            List<Medication> meds = medsDao.getPatientMedications(qb);
            assertTrue(meds.size() > 0);
            testForBeanMeta(meds);
        } catch (JMeadowsException ex) {
            fail(ex.getMessage());
        }
    }

    @Test
    public void testGetPatientMedicationsInpatient()
    {
        try {
            JMeadowsQuery qb = setupQuery(user, patient, startDate, endDate);
            //test inpatient meds
            qb.setStatus("I");
            List<Medication> meds = medsDao.getPatientMedications(qb);
            assertTrue(meds.size() > 0);
            testForBeanMeta(meds);
        } catch (JMeadowsException ex) {
            fail(ex.getMessage());
        }
    }
}
