/**
 * Janus 4.0 (c)
 * Copyright (c) 2011 Hawaii Resource Group LLC. All Rights Reserved.
 * Developed for the Pacific Telehealth & Technology Hui and the Pacific Joint Information Technology Center
 * Contributors:
 *     Honorable Senator Daniel K. Inouye
 *     VA Pacific Islands Health Care System
 *     Tripler Army Medical Center
 */
 
 
package gov.va.med.jmeadows.dao.patient;

import gov.va.med.jmeadows.common.JMeadowsException;
import gov.va.med.jmeadows.dao.beans.JMeadowsQuery;
import gov.va.med.jmeadows.dao.patient.VitalsDao;
import gov.va.med.vds.webservice.Vitals;
import org.junit.Test;

import java.util.List;

import static org.junit.Assert.assertTrue;
import static org.junit.Assert.fail;

/**
 *
 * @author vhahonbrunos
 */
public class VitalsDaoTest extends DaoBaseTest
{
    private VitalsDao vitalsDao;

    public VitalsDaoTest()
    {
        vitalsDao = new VitalsDao();
    }

    @Test
    public void testGetPatientVitals()
    {
        try {
            JMeadowsQuery qb = setupQuery(user, patient, startDate, endDate);
            //qb.setIncludeVLER(true);
            List<Vitals> vitals = vitalsDao.getPatientVitals(qb);
            assertTrue(vitals.size() > 0);
            testForBeanMeta(vitals);
        } catch (JMeadowsException ex) {
            fail(ex.getMessage());
        }
    }
}
